Summary: The Linux kernel (the core of the Linux operating system)

# versioning hell
%define buildsmp 1
%define buildBOOT 1
%define buildenterprise 1
%define buildjensen 0
%define release 2
%define sublevel 2
%define kversion 2.4.%{sublevel}
%define devfsdver 1.3.11
%define ia64version 010321
%define kslnk linux-2.4
%define with_ipvs 1
%define vmbalance 1
# note: do not enable both debugging and ikd, as ikd includes debugging already
%define debugging 0
%define ikd 0

# multipath "raid"
%define multipath 1

# Crutcher's alternative sysreq patch
%define alternative_sysreq 0

%define tux 1

# needs serious testing on low-RAM systems first:
%define dma_livelock_fix 0

# disable build root strip policy
%define __spec_install_post /usr/lib/rpm/brp-compress || :

# now we need a %{_mystrip} macro to allow cross-compiling

%{expand: %%define go_for_%{_target_cpu}_%{_arch} yadda}
%{expand: %%define _mystrip %{?go_for_ia64_i386:ia64-linux-strip}%{!?go_for_ia64_i386:strip}}

%{expand: %%define debuglevel_%{debugging} yadda}

Name: kernel
Version: %{kversion}
Release: %{release}%{?debuglevel_1:.dbg}
%define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Copyright: GPL
Group: System Environment/Kernel
ExclusiveArch: i386 i586 i686 athlon alpha ia64
#ExclusiveArch: i386 i586 i686 ia64 athlon alpha sparc sparc64
#ExclusiveArch: i386
ExclusiveOS: Linux
Obsoletes: kernel-modules, kernel-sparc
Provides: module-info, kernel = %{version}
Autoreqprov: no
Prereq: fileutils, modutils >= 2.4.2-5, initscripts >= 5.83
Conflicts: ppp <= 2.3.15, e2fsprogs <= 1.18, pcmcia-cs <= 3.1.20, isdn4k-utils <= 3.0, mount < 2.10r-5, nfs-utils < 0.3.1
%ifnarch ia64
Conflicts: kudzu <= 0.92
BuildPreReq: gcc >= 2.96-74, modutils >= 2.4.2 
%endif
# Remove this when we get to an actual release - notting
%ifarch ia64
Requires: eli >= 0.4.0-8
%endif
Requires: mkinitrd >= 3.0.5
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{kversion}.tar.bz2
Source2: ftp://ftp.atnf.csiro.au/pub/people/rgooch/linux/daemons/devfsd-v%{devfsdver}.tar.gz
Source4: README.kernel-sources

Source11: module-info
Source12: installkernel
Source14: kernel-2.4-BuildASM.sh
Source15: linux-rhconfig.h
Source16: linux-merge-config.awk
Source17: linux-merge-modules.awk

Source20: kernel-%{kversion}-i386.config
Source21: kernel-%{kversion}-i386-smp.config
Source22: kernel-%{kversion}-i386-BOOT.config
Source23: kernel-%{kversion}-alpha.config
Source24: kernel-%{kversion}-alpha-smp.config
Source25: kernel-%{kversion}-sparc.config
Source26: kernel-%{kversion}-sparc-smp.config
Source27: kernel-%{kversion}-sparc64.config
Source28: kernel-%{kversion}-sparc64-smp.config
Source29: kernel-%{kversion}-i686.config
Source30: kernel-%{kversion}-i686-smp.config
Source31: kernel-%{kversion}-alpha-BOOT.config
Source32: kernel-%{kversion}-sparc-BOOT.config
Source33: kernel-%{kversion}-sparc64-BOOT.config
Source34: kernel-%{kversion}-i586.config
Source35: kernel-%{kversion}-i586-smp.config
# since there are no space issues, a -BOOT is rather pointless
Source36: kernel-%{kversion}-ia64.config
Source37: kernel-%{kversion}-ia64-smp.config
Source38: kernel-%{kversion}-i686-enterprise.config
Source40: kernel-%{kversion}-athlon.config
Source41: kernel-%{kversion}-athlon-smp.config
Source42: kernel-%{kversion}-alpha-jensen.config

# The general patch ordering idea is:
#   General bug fix patches first
#   Large patches that change core kernel code next
#   Driver specific patches last

# Patches 0 through 9 are meant for patches that absolutely need to
# be first.
Patch1: ftp://ftp.kernel.org/pub/linux/kernel/people/alan/2.4/patch-2.4.2-ac3.bz2

# FIXME: these 2 should move later unless there is a good reason
Patch7: linux-2.4.0-test7-pre4-emu10k1.patch
Patch9: linux-2.4.0-test7-pre4-overflow.patch

# Patches 10 through roughly 50 are meant for small patches to the
# core kernel code.  No drivers, no large subsystem patches.

Patch10: linux-2.4.0-nonintconfig.patch
Patch11: kernel-2.4-string.patch
Patch12: linux-2.3.99-alpha.patch
Patch13: linux-2.3.99p3p6-sparc.patch
Patch14: linux-2.4.2-aviro-buffer.c.patch
Patch15: linux-2.4.1-axboe-scsi-max-sec.patch
Patch16: linux-2.4.1-quiet.patch
Patch17: linux-2.4.1-alphaksyms.patch
Patch18: linux-2.4.0-alpha.patch
Patch19: linux-2.4.1-brokenmptable.patch
Patch20: linux-2.4.1-flush_tlb_export.patch
Patch21: linux-2.2.16-useio.patch
Patch22: linux-2.4.0-nohighmemdebug.patch
Patch23: linux-2.4.0-netfilter-cpp.patch
Patch24: linux-2.4.2-via-corruption.patch
Patch25: linux-2.4.2-raw-fix.patch
Patch26: linux-2.4.2-bootmem.diff
Patch27: linux-2.4.1-al-loop.patch
Patch28: linux-2.4.2-changeloop.patch
Patch29: linux-2.4.1-printkbuffer.patch
Patch30: linux-2.4.1-realmodepoweroff.patch
Patch31: linux-2.4.2-ac20-pmd_alloc.diff
Patch32: linux-2.4.1-devfscross.patch
Patch33: linux-2.4.2-req_finished_io.patch
Patch34: linux-2.4.1-raid-C0.patch
Patch35: linux-2.4.2-blkioctl-sector.patch
Patch36: linux-2.4.2-multipath.patch
Patch37: linux-2.4.2-multipath-export.patch
Patch38: linux-2.4.2-alpha-irq.patch
Patch39: linux-2.4.1-scsi-reset.patch
Patch40: linux-2.4.2-nmi-lockup-workaround.patch
Patch41: linux-2.4.2-alpha-irongate.patch
Patch42: linux-2.4.2-lp-parport-revert.patch
Patch43: linux-2.4.2-pge.patch
Patch44: linux-2.4.2-ac18-VM.patch
Patch45: linux-2.4.2-truncate-bkl.patch
Patch46: linux-2.4.2-pmd_alloc_fix.patch
Patch47: linux-2.4.2-scsi_scan.patch
Patch48: linux-2.4.2-drm-silence.patch
Patch49: linux-2.4.2-multipath-fixes.patch

# ia64-specific
# We'd use the base ia64 patch, but it mucks with the qla1280 driver
Patch50: linux-2.4.2-ia64-%{ia64version}-2.diff
Patch51: linux-2.4.2-ia64-ptrace.patch
Patch52: linux-2.4.2-ia64-prototypes.patch
Patch53: linux-2.4.2-ia64-gdb.patch
Patch54: linux-2.4.2-ia64-ksyms.patch
Patch55: linux-2.4.1-ia64-swiotlb.patch
Patch56: linux-2.4.2-ia64-csum.patch
Patch57: linux-2.4.2-ia64-mca.patch

# a few more generic patches
Patch58: linux-2.4.2-find_page.patch
Patch59: linux-2.4.2-bootmem_oom.patch

# Patches ~60 through 100 are reserved for large subsystem patches, such
# as LFS, and are done in blocks of 5 patches; that way we have room
# to add fix patches as needed.

# TUX
Patch60: linux-2.4.2-zerocopy.patch
Patch61: linux-2.4.2-byteprofiling.patch
Patch62: linux-2.4.2-pid-profiling.patch
Patch63: linux-2.4.2-smptimers.patch
Patch64: linux-2.4.2-pagecache-ac18.patch
Patch65: linux-2.4.2-atomic-lookup.patch
Patch66: linux-2.4.2-finerflush.patch
Patch67: linux-2.4.2-iput-free.patch
Patch68: linux-2.4.2-exports-cleanup.patch
Patch69: linux-2.4.2-tux-vfs.patch
Patch70: linux-2.4.2-atomicalloc.patch
Patch72: linux-2.4.2-per-cpu-pages.patch
Patch73: linux-2.4.2-tux-process.patch
Patch76: linux-2.4.2-vm-1-2-3-gbyte.patch
Patch77: linux-2.4.2-vm-readahead.patch
Patch78: linux-2.4.2-tux-sysctl.patch
Patch79: linux-2.4.2-tux-kstat.patch
Patch81: linux-2.4.2-print-64gb-oops.patch
Patch83: linux-2.4.2-net-exports.patch
Patch84: linux-2.4.2-tux-syscall.patch
Patch89: linux-2.4.2-cipe.patch
Patch90: linux-2.4.2-tux2.patch
Patch91: linux-2.4.2-acenic.patch
Patch92: linux-2.4.2-zerocopy-nbd.patch
Patch93: linux-2.4.2-shmlock.patch
Patch94: linux-2.4.2-bhclear.patch
Patch96: linux-2.4.2-dma-livelock-fix.patch
Patch97: linux-2.4.2-tux-fixes.patch
Patch98: linux-2.4.2-ext2-corruption-fixes.patch

# LM Sensors
Patch99: linux-2.4.0-lm_sensors.patch

# Patches 100 through 200 are meant to be isolated driver patches and other
# similar non-core-code-touching and non-large-subsystem patches.
Patch100: linux-2.4.2-megaraid.patch
Patch101: linux-2.4.0-qla1280.patch
Patch102: linux-2.4.0-sym53-64bit.patch
Patch103: qla2x00.patch
Patch104: linux-2.4.0-qla1280timer.patch
Patch105: linux-2.4.2-atpmaxunits.patch
Patch106: linux-2.4.0-3c90x.patch
Patch107: linux-2.4.2-usemaxsectors.patch
Patch108: linux-2.4.2-md-fixes.patch
Patch109: linux-2.4.2-hexblocknumbers.patch
Patch110: linux-2.4.1-e100.patch
Patch111: linux-2.4.1-e1000.patch
Patch112: linux-2.4.2-i2o.patch
Patch113: linux-2.4.2-namei.patch
Patch114: linux-2.4.0-intelethernet.patch
Patch115: linux-2.4.1-aacraid.patch
Patch116: linux-2.4.0-test11-vidfail.patch
Patch117: linux-2.4.0-e820.patch
Patch118: linux-2.4.0-raid5xor.patch
Patch119: linux-2.4.2-aic7xxx-5.2.4.patch
Patch120: linux-2.4.2-hpt370.patch
Patch121: linux-2.4.1-aic7xxx-6.1.1.patch
Patch122: linux-2.4.1-aic7xxx-6.1.1-6.1.4.patch
Patch123: linux-2.4.2-usbmice.patch
Patch124: linux-2.4.0-cipe-1.4.5.patch
Patch125: linux-2.4.2-cipefix.patch
Patch126: linux-2.4.0-bcm5700.patch  
Patch127: linux-2.4.0-irda-assert.patch
Patch128: linux-2.4.0-wvlan-cs.patch
Patch129: linux-2.4.2-aic7xxx-6.1.4-6.1.7.patch
Patch130: linux-2.4.2-de4x5.c.patch
Patch131: linux-2.4.2-smpcall.patch
Patch132: linux-2.4.2-multipath-fixes-2.patch
Patch133: linux-2.4.2-vmtruncate.patch
Patch134: linux-2.4.2-multipath-fixes-3.patch
Patch135: linux-2.4.2-mem-setup-fix.patch
Patch136: linux-2.4.2-page_bitmap.patch
Patch137: linux-2.4.2-multipath-fixes-4.patch

Patch143: linux-2.4.0-ide-floppy.patch
Patch146: linux-2.4.0-apic-quiet.patch
Patch147: linux-2.4.1-xircom-tulip.patch
Patch152: linux-2.4.1-setup_delay.patch
Patch153: linux-2.4.2-ppp.patch
Patch156: linux-2.4.1-serverworks.patch
Patch157: linux-2.4.2-defercad.patch
Patch160: linux-2.4.1-netfilter-addons.patch
Patch165: linux-2.4.2-ips-471.patch
Patch174: linux-2.4.1-uhci-slab.patch
Patch175: linux-2.4.2-i810_audio.patch
Patch176: linux-2.4.2-i810_audio-dealloc.patch
Patch177: linux-2.4.2-i810_audio-release.patch
Patch178: linux-2.4.2-i810_audio-init.patch
Patch187: linux-2.4.1-tulip.patch
Patch189: linux-2.4.1-pci-printk.patch
Patch192: linux-2.4.1-nodma.patch
Patch193: linux-2.4.2-printklevel.patch
Patch194: linux-2.4.1-3c59x-notux.patch
Patch195: linux-2.4.1-hp8200.patch
Patch196: linux-2.4.1-netdebug.patch
Patch197: linux-2.4.1-usbscanner.patch
Patch198: linux-2.4.1-usbstorage.patch
Patch199: linux-2.4.2-olympic.patch
Patch200: linux-2.4.2-opl3sa.patch
Patch201: linux-2.4.2-ethersetup.patch
Patch202: linux-2.4.2-3ware.patch
Patch203: linux-2.4.2-eepro100-alpha.patch
Patch204: linux-2.4.2-toshoboe.patch
Patch205: linux-2.4.2-parport.patch
Patch206: linux-2.4.2-maestro.patch
Patch207: linux-2.4.2-loopoops.patch
Patch208: linux-2.4.2-r128.patch
Patch209: linux-2.4.2-reiserfs.patch
Patch210: linux-2.4.2-ibmcameras.patch
Patch211: linux-2.4.2-raidoops.patch
Patch212: linux-2.4.2-lockd.patch
Patch213: linux-2.4.2-alternateairo.patch
Patch214: linux-2.4.2-usballoc.patch
Patch215: linux-2.4.2-cardbus-irq.patch
Patch216: linux-2.4.2-isofs.patch
Patch217: linux-2.4.2-oom-fixup.patch
Patch218: linux-2.4.2-aout.patch
Patch219: linux-2.4.2-via-audio.patch
Patch220: linux-2.4.2-ali-dma.patch
Patch221: linux-2.4.2-keyboard.patch
Patch222: linux-2.4.2-athlon-smp.patch
Patch223: linux-2.4.2-dp8281x.patch
Patch224: linux-2.4.2-cdrom.patch
Patch225: linux-2.4.2-i2o-blocksize.patch
Patch226: linux-2.4.2-pciapi.patch
Patch227: linux-2.4.2-8139too.patch
Patch228: linux-2.4.2-tokenring.patch
Patch229: linux-2.4.2-pdc20265.patch
Patch230: linux-2.4.2-qla2x00.patch
Patch232: linux-2.4.2-epca.patch
Patch233: linux-2.4.2-ideblacklist.patch
Patch234: linux-2.4.2-bouncebuffer.patch
Patch235: linux-2.4.2-lvm.patch
Patch236: linux-2.4.2-isdn.patch
Patch237: linux-2.4.2-via-timer.patch
Patch238: linux-2.4.2-binfmt-misc.patch
Patch239: linux-2.4.2-usb-uhci-slab.patch
Patch240: linux-2.4.2-qlogicsectors.patch
Patch241: linux-2.4.2-cpia.patch
Patch242: linux-2.4.2-cyrixiii.patch
Patch243: linux-2.4.2-ipx.patch
Patch244: linux-2.4.2-iostat-fix.patch
Patch245: linux-2.4.2-vmalloc-race.patch
Patch246: linux-2.4.2-pcmcia.patch
Patch247: linux-2.4.2-netgearfa31x.patch
Patch248: linux-2.4.2-usb-scsiglue.patch
Patch249: linux-2.4.2-keyboardsilence.patch
Patch250: linux-2.4.2-apicfixes.patch
Patch252: linux-2.4.2-ipv6-tunnel.patch
Patch253: linux-2.4.2-ptrace.patch
Patch254: linux-2.4.2-ip_conntrack.patch
Patch255: linux-2.4.2-isapnp.patch
Patch256: linux-2.4.2-sound-bkl.patch
Patch257: linux-2.4.2-osb4.patch
Patch258: linux-2.4.2-ov511.patch
Patch259: linux-2.4.2-viadma66.patch
Patch260: linux-2.4.2-kt7raid.patch
Patch261: linux-2.4.2-restorestate.patch
Patch262: linux-2.4.2-cardbus.patch
Patch263: linux-2.4.2-usbthrottle.patch
Patch264: linux-2.4.2-sysreq-registration-0.16.patch
Patch265: linux-2.4.2-ohci-irq.patch
Patch266: linux-2.4.2-scsimerge.patch
Patch267: linux-2.4.2-buffermap.patch
Patch268: linux-2.4.2-bouncedeadlock.patch
Patch269: linux-2.4.2-swaprace.patch
Patch270: linux-2.4.2-llrwblk.patch
Patch271: linux-2.4.2-swapping-fixes.patch

# these are debugging patches, not applied by default


Patch272: linux-2.4.2-vmpoison.patch
Patch273: linux-2.4.1-debugging.patch
Patch274: linux-2.4.1-ikd.patch
Patch275: linux-2.4.2-smbdebug.patch


# Patches 290 to 294 are the HA patches.
%if %{with_ipvs}
Patch290: linux-2.4.0-ipvs.patch
Patch291: linux-2.4.2-ipvs.patch
%endif

# Patches 295 to 299 are VM balancing patches
Patch295: linux-2.4.2-vm-balance_change.patch
Patch296: linux-2.4.2-swapreclaim.patch

# Patches 300 to 399 are enterprise kernel patches.
# Patches 400 and up are odd patches out or patches that simply
# touch *so many* files that we have to put them last to avoid tons of
# conflicts in the patches.
Patch400: linux-2.4.0-sard.patch

# fix a lot of warnings in the plain kernel and previous patches
Patch401: linux-2.4.1-compilefailure.patch
# request debugging patch that must be after 400.
Patch402: linux-2.4.2-rqdebug.patch
# fix build on ia64
Patch403: linux-2.4.2-ia64-compilefix.patch

BuildRoot: /var/tmp/kernel-%{KVERREL}-root

%package source
Summary: The source code for the Linux kernel.
Group: Development/System
Prereq: fileutils
Requires: gawk

%package headers
Summary: Header files for the Linux kernel.
Group: Development/System
Prereq: fileutils initscripts >= 5.83
Requires: gawk

%package doc
Summary: Various documentation bits found in the kernel source.
Group: Documentation

%package -n devfsd
Summary: Device filesystem management daemon
Group: System Environment/Kernel
Requires: kernel >= 2.3.46

%description 
The kernel package contains the Linux kernel (vmlinuz), the core of your
Red Hat Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned
to your particular hardware, if you are so inclined (and you know what
you're doing).

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
kernel.

%description doc
This package contains documentation files form the kernel
source. Various bits of information about the Linux kernel and the
device drivers shipped with it are documented in these files. 

You'll want to install this package if you need a reference to the
options that can be passed to Linux kernel modules at load time.

%description -n devfsd
Daemon for managing the device filesystem (devfs)

%package smp
Summary: The Linux kernel compiled for SMP machines.
Group: System Environment/Kernel
Provides: module-info, kernel = %{version}
Prereq: modutils >= 2.4.2-5, fileutils,  initscripts >= 5.83
Conflicts: ppp <= 2.3.15, e2fsprogs <= 1.18, pcmcia-cs <= 3.1.20, isdn4k-utils <= 3.0, kudzu <= 0.92, mount < 2.10r-5, nfs-utils < 0.3.1
Requires: mkinitrd >= 3.0.5

%description smp
This package includes a SMP version of the Linux kernel. It is
required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

Install the kernel-smp package if your machine uses two or more CPUs.

%package enterprise
Summary: The Linux Kernel compiled with options for Enterprise server usage.
Group: System Environment/Kernel
Provides: module-info, kernel = %{version}
Prereq: modutils >= 2.4.2-5, fileutils, initscripts >= 5.83
Conflicts: ppp <= 2.3.15, e2fsprogs <= 1.18, pcmcia-cs <= 3.1.20, isdn4k-utils <= 3.0, kudzu <= 0.92, mount < 2.10r-5, nfs-utils < 0.3.1

Requires: mkinitrd >= 3.0.5

%description enterprise
This package includes a kernel that has appropriate configuration options
enabled for the typical large enterprise server.  This includes SMP support
for multiple processor machines, support for large memory configurations
and other appropriate items.

%package BOOT
Summary: The version of the Linux kernel used on installation boot disks.
Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: modutils >= 2.4.2-5, fileutils
Conflicts: ppp <= 2.3.15, e2fsprogs <= 1.18, pcmcia-cs <= 3.1.20, isdn4k-utils <= 3.0, kudzu <= 0.92, mount < 2.10r-5, nfs-utils < 0.3.1
Requires: mkinitrd >= 3.0.5

%description BOOT
This package includes a trimmed down version of the Linux kernel.
This kernel is used on the installation boot disks only and should not
be used for an installed system, as many features in this kernel are
turned off because of the size constraints.

%package BOOTsmp
Summary: The Linux kernel used on installation boot disks for SMP machines.
Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: modutils >= 2.4.2-5, fileutils
Conflicts: ppp <= 2.3.15, e2fsprogs <= 1.18, pcmcia-cs <= 3.1.20, isdn4k-utils <= 3.0, kudzu <= 0.92, mount < 2.10r-5, nfs-utils < 0.3.1
Requires: mkinitrd >= 3.0.5

%description BOOTsmp
This package includes a trimmed down version of the Linux kernel. This
kernel is used on the installation boot disks only and should not be used
for an installed system, as many features in this kernel are turned off
because of the size constraints. This kernel is used when booting SMP
machines that have trouble coming up to life with the uniprocessor kernel.

%package jensen
Summary: The Linux Kernel compiled for the Alpha Jensen platform.
Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: modutils fileutils mktemp, kudzu >= 0.93, initscripts >= 5.83

%description jensen
This package includes a kernel that has appropriate configuration
options enabled for use on the Alpha Jensen platform.  The Jensen
platform is not supported in the normal generic alpha kernel support.



%prep

%setup -q -n %{name}-%{version} -c -a 2
cd linux
mv ../devfsd* .
%patch1 -p1
%patch7 -p1
%patch9 -p1

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%if %{debugging}
%patch14 -p1
%endif
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
# seems to be in 2.4.1-ac1, bcrl please check
#%patch24 -p1
%patch25 -p1
# fix for bootmem corruption
%patch26 -p1
# Al Viro's loopback patch 
%patch28 -p1

# Increase prink buffer size (drivers are getting noisier at startup)
%patch29 -p1 
# do not do realmode poweroff unless by kernel commandline
%patch30 -p1
# fix pmd_alloc on x86 SMP PAE kernels
%patch31 -p1
# Allow devfsd to be cross-compiled
%patch32 -p1 
# add missing symbol export
%patch33 -p1 
# Fix raid autorun
%patch34 -p1

# Add an ioctl to the block layer so we can be EFI compliant
%patch35 -p1
# Add multipath I/O support to the raid subsystem
%if %{multipath}
%patch36 -p1
%patch37 -p1
%endif
# Alpha patches from ac5
%patch38 -p1
# SCSI Reset patch for clustering stuff
%patch39 -p2
# NMI watchdog related lockup workaround.
%patch40 -p1
# Alpha Irongate chipset patch
%patch41 -p1
# Revert the lp/parport improvements in ac3
%patch42 -p1
# make PGE an option so Cyrix chips work on our 686 kernels
%patch43 -p1
# ac18 VM
%patch44 -p1
# add the BKL for truncate
%patch45 -p1
# fix the pmd_alloc fix to flush kernel tlbs
%patch46 -p1
# fix lun probing on multilun RAID chassis
%patch47 -p1
# silence debug messages
%patch48 -p1
# fix some multipath problems
%if %{multipath}
%patch49 -p1
%endif

# find_page race fix
%patch58 -p1
# bootmem OOM patch
%patch59 -p1

%ifarch ia64
# base ia64 patch from David Mosberger
%patch50 -p1
# add free_dma & sys_wait4 declarations
%patch52 -p1
# fix gdb inferior calls (patch from Kevin Buettner)
%patch53 -p1
# export memchr() for TUX, fix UP build
%patch54 -p1
# increase default SW I/O TLB size
%patch55 -p1
# fix bad network juju
%patch56 -p1
# fix machine checks on C-step machines
%patch57 -p1
%endif

# TUX
%patch60 -p1
%if %{tux}
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch72 -p1
%patch73 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch81 -p1
%patch83 -p1
%patch84 -p1
%patch90 -p1
%patch97 -p1
%patch98 -p1

%endif
# cleanup the acenic driver mess 
%patch91 -p1
# zerocopy nbd driver
%patch92 -p1
# SHM race fix
%patch93 -p1
# Fix clearing of buffer_heads on error on highmem boxes
%patch94 -p1


# LM-Sensors
%patch99 -p1


# megaraid update to 1.14g
%patch100 -p1
# qla1280 update to 3.23Beta
%patch101 -p1
# symbios 53c7xxx 64-bit patch
%patch102 -p1
# qla2100
%patch103 -p1
%patch104 -p1
%patch105 -p1
# 3c90x driver from 3com
# This driver is broken.  You can build it if you want by
# uncommenting the patch line below, but if it breaks you
# get to keep both pieces.
# %patch106 -p1
# A few more scsi drivers need to limit their I/O requests
%patch107 -p1
# some minor bugs in autostarting of raid
%patch108 -p1
# e100 driver
%patch110 -p1
# e1000 driver
%patch111 -p1
# i2o driver updates
%patch112 -p1
# namei vfat issue
%patch113 -p1
# add config entries for e100, e1000
%patch114 -p1
# aacraid driver
%patch115 -p1
# add vidfail capability
%patch116 -p1
# add e820 reporting
%patch117 -p1
# raid5 xor fix for PIII/P4, should go away shortly
%patch118 -p1
# bug fix in the 5.2.3 aic7xxx driver
%patch119 -p1
# fix UDMA100 on kt7raid (hpt370) boards
%patch120 -p1
# add the new aic7xxx_new driver from Justin Gibbs
%patch121 -p1
# update Justin's driver from 6.1.1 to 6.1.4
%patch122 -p1
# zaitcev's patch for USB mice
%patch123 -p1
# cipe 1.4.5
%patch124 -p1
# cipe fix from DaveM
%patch125 -p1
# Broadcom BCM5700 Gigabit driver 
%patch126 -p1
# IrDA ASSERT abuse workaround
%patch127 -p1
# wvlan_cs driver
%patch128 -p1
# update to 6.1.7 aic7xxx driver from Justin Gibbs
%patch129 -p1
# de4x5 driver
%patch130 -p1
# SMP IPI call patch
%patch131 -p0
# multipath fixes #2
%if %{multipath}
%patch132 -p1
%endif
# patch for vmtruncate race
%patch133 -p1
# multipath fixes #3
%if %{multipath}
%patch134 -p1
%endif
# mem= command-line adapts itself to existing e820 values.
%patch135 -p1
# conservative zone bitmaps to prevent memory corruption
%patch136 -p1
# multipath fixes #4
%if %{multipath}
%patch137 -p1
%endif
# ide-floppy update
%patch143 -p1
# Silence the APIC errors a bit
%patch146 -p1
# New xircom tulip patch
%patch147 -p1
# Longer setup_delay for cardbus
%patch152 -p1
# Fix race in PPP code
%patch153 -p1
# Make serverworks work
%patch156 -p1
# Allow sleeping in C-A-D handlers
%patch157 -p1
# IRC-DCC nat and other netfilter addons
%patch160 -p1
# IBM ServerRAID version 4.71
%patch165 -p1
# USB uhci slab fix
%patch174 -p1
# lots of fixes to the i810_audio driver
%patch175 -p1
# fix a memory leak in the i810 sound driver
%patch176 -p1
# make artsd and i810_audio get along
%patch177 -p1
# fix an oops when i810_audio is autoloaded
%patch178 -p1
# new tulip driver (jgarzik) 
%patch187 -p1
# Make pci printks show up in syslog
%patch189 -p1
# Add an "ide0=nodma" option
%patch192 -p1
# silence a printk
%patch193 -p1
# version 1.1.14 of the 3c59x driver from Andrew Morton
#%patch194 -p1
# enable Hewlett-Packard 8200e/8210e CD-Writer Plus support
%patch195 -p1
# disable some networking printk's
%patch196 -p1
# Epson 1240U scanner support
%patch197 -p1
# Fix usb storage thread
%patch198 -p1
# Olympic TR fix
%patch199 -p1
# OPL3sa PNP fix
%patch200 -p1
# 3c509 ethersetup fix
%patch201 -p1
# 3ware fixes
%patch202 -p1
# fix for non-atomic bit clear in eepro100 driver on alpha
%patch203 -p1
# extra PCI ID for newer Toshiba Laptops
%patch204 -p1
# parport hang fix
%patch205 -p1
# fix maestro3 for > 256Mb machines
%patch206 -p1
# prevent loop from oopsing when unconfigured
%patch207 -p1
# work around a hardware bug on older r128 cards
%patch208 -p1
# reiserfs update
%patch209 -p1
# IBM Netcamera model expansion
%patch210 -p1
# prevent null pointer deref in raid
%patch211 -p1
# fix lockd
%patch212 -p1
# airo_cs
%patch213 -p1
# usb allocation bug
%patch214 -p1
# fix ~No IRQ known ...~ cardbus !!" error
%patch215 -p1
# unaligned ISOfs accesses fixed
%patch216 -p1
# make the oomkiller actually kill
%patch217 -p1
# a.out type mistake
%patch218 -p1
# fix via82cxxx audio
%patch219 -p1
# add the quirk to prevent corruption on ALI15xx mobo's
%patch220 -p1
# proper keyboard timing
%patch221 -p1
# make SMP athlon compile
%patch222 -p1
# newer natsemi networkdriver
%patch223 -p1
# Jens Axboe's CDROM driver fixes
%patch224 -p1
# Boji Kannanthanam's i2o fixes for /proc/partitions
%patch225 -p1
# 2 new functions for PCI drivers
%patch226 -p1
# newer 8139too driver
%patch227 -p1
# fix token ring init behavior
%patch228 -p1
# Enable second controller on PDC20265 RAID controllers
%patch229 -p1
# Fix qla2x00 unload behavior
%patch230 -p1
# epca bugfix from 2.4.2-ac13
%patch232 -p1
# add known broken drives to the DMA blacklist
%patch233 -p1
# highmem bouncebuffer fixes
%patch234 -p1
# prevent LVM oops
%patch235 -p1
# build pcmcia isdn adapters
%patch236 -p1
# forward port of 2.2.19pre1 via timer workaround
%patch237 -p1
# Al Viro's new binfmt_misc
%patch238 -p1
# Fixing uhci to work with SLAB poisoning
%patch239 -p1
# Limit the maximum IO size on Qlogic ISP boards
%patch240 -p1
# fix off by one bug in cpia driver (ac18)
%patch241 -p1
# enable MTTR's one CyrixIII chip (ac18)
%patch242 -p1
# fix IPX to actually work (ac18)
%patch243 -p1
# correct iostat on promise boards
%patch244 -p1
# final vmalloc race fix (ac18)
%patch245 -p1
# pcmcia init bug fix (ac18)
%patch246 -p1
# netgear fa311 powerstate patch
%patch247 -p1
# Enhancement for the usb scsiglue for oot's installer magic
%patch248 -p1
# Silence the PS/2 code for USB keyboards
%patch249 -p1
# Add spinlocks around apic code
%patch250 -p1
# Make ipv6 tunnels work
%patch252 -p1
# ptrace cleanups / locking
%patch253 -p1
# ia64 ptrace change (from 010321.patch, need to apply after #253)
%ifarch ia64
%patch51 -p1
%endif
# fix under/oversizing of hash tables (oops on 4GB boxes)
%patch254 -p1
# use a more tolerant ISAPNP verify for broken cards
%patch255 -p1
# forgotten unlock_kernel in several sound drivers
%patch256 -p1
# mark the OSB4 driver DANGEROUS
%patch257 -p1
# fix ov511 USB driver
%patch258 -p1
# disable udma66 for via chipsets
%patch259 -p1
# disable IDE DMA on KT7 RAID motherboards as they all seem brokeb
%patch260 -p1
# update control port soft copy when restoring parport state (bug #31170)
%patch261 -p1
# make cardbus less insane
%patch262 -p1
# Bandaid for release with 33668, while I am investigating. --zaitcev
%patch263 -p1
# Crutcher's alternative sysreq patch
%if %{alternative_sysreq}
%patch264 -p1
%endif
# OHCI IRQ sanity check
%patch265 -p1
# SCSI merge corruption fix
%patch266 -p1
# buffer.c corruption fix
%patch267 -p1
# close race in the swapcode
%patch269 -p1
# ll_rw_block issue
%patch270 -p1
# swap-page removal race fixes
%patch271 -p1

# Turn on slab poison and other debugging if appropriate
%if %{debugging}
%patch272 -p1
%patch273 -p1
# Disable an smb debugging check which conflicts with slab poisoning
%patch275 -p1
%patch109 -p1
%endif

# Turn on the kernel debugger
%if %{ikd}
%patch249 -p1
%endif

# IPVS hooks for modules
%if %{with_ipvs}
#%patch290 -p1 (retired)
%patch291 -p1
%endif

%if %{vmbalance}
%patch295 -p1
%patch296 -p1
%endif
%if %{dma_livelock_fix}
%patch96 -p1
%endif


# SARD patches (needs to be late because it touches lots of drivers)
%patch400 -p1

# lots of small fixes to warnings and other silly bugs
%ifarch i386 i586 i686 athlon alpha
%patch401 -p1
%endif

# block request debugging
%if %{debugging}
%patch402 -p1
%endif
%if %{debugging}
%ifarch ia64
%patch403 -p1
%endif
%endif

# zerocopy fixups to later patches
%patch89 -p1


chmod +x arch/sparc*/kernel/check_asm.sh

mkdir configs
%ifarch i386 i586 i686 athlon
cp -fv $RPM_SOURCE_DIR/kernel-%{kversion}-i?86*.config configs
cp -fv $RPM_SOURCE_DIR/kernel-%{kversion}-athlon*.config configs
%else
%ifarch sparc sparc64
cp -fv $RPM_SOURCE_DIR/kernel-%{kversion}-sparc*.config configs
%else
cp -fv $RPM_SOURCE_DIR/kernel-%{kversion}-%{_target_cpu}*.config configs
%endif
%endif

# make sure the kernel has the sublevel we know it has...
perl -p -i -e "s/^SUBLEVEL.*/SUBLEVEL = %{sublevel}/" Makefile

# get rid of unwanted files
find . -name "*.orig" -exec rm -fv {} \;
find . -name "*~" -exec rm -fv {} \;

chmod 755 arch/*/kernel/check_asm.sh

###
### build
###
%build

cd linux
# why glibc doesn't parse this instead of cpuinfo I don't know
NRPROC=`egrep -c "^cpu[0-9]+" /proc/stat || :` 
if [ $NRPROC -eq 0 ] ; then
	NRPROC=1
fi

AddPatches () {
    # $1 is BOOT/enterprise/foo
    # remove any backup files that were created
    find . -name "*.orig" -exec rm -fv {} \;
    find . -name "*~" -exec rm -fv {} \;
}

RemovePatches () {
    # $1 is BOOT/enterprise/foo
    # remove any backup files that were created
    find . -name "*.orig" -exec rm -fv {} \;
    find . -name "*~" -exec rm -fv {} \;
}

DependKernel() {
    # is this a special kernel we want to build?
    if [ -n "$2" ] ; then
	Config=$1-$2
	KernelVer=%{version}-%{release}$2
	echo MAKE DEPEND FOR $2 $1 KERNEL...
    else
	Config=$1
	KernelVer=%{version}-%{release}
	echo MAKE DEPEND FOR up $1 KERNEL...
    fi
    make -s mrproper
# We used to copy the config file to arch/.../defconfig, but for some time now
# the Configure script has been smart enough to override this with the
# config file found in configs/kernel-%{kversion}-${config}.config when it
# finds a valid /boot/kernel.h file.  As a result, making an RPM on a
# machine that has a valid kernel.h file will result in scripts/Configure
# overriding our config entries with whatever it thinks is appropriate
# (aka, if you try an i386 build on a machine with an i686 smp kernel.h file
# then you will get an i686 smp kernel in an i386 package).  So, instead we
# put our config file in .config, which is considered the ultimate source
# of default config information by make oldconfig.  Also, copy the config
# files out of the configs directory instead of the RPM_SOURCE_DIR.  It
# doesn't make any sense to put them in there and then not use them,
# especially when we could have a patch that modifies the config files
# as part of the enterprise patch set (or any other patch, it just makes
# us more flexible to use the configs from the configs directory).  Finally,
# since make mrproper wants to wipe out .config files, we move our mrproper
# up before we copy the config files around.
%ifarch i386 i586 i686 athlon
    cp configs/kernel-%{kversion}-$Config.config .config
%else
%ifarch sparc sparc64
    cp configs/kernel-%{kversion}-$Config.config .config
%else
    cp configs/kernel-%{kversion}-$Config.config .config
%endif
%endif
    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$2/" Makefile
%ifarch sparc sparc64     
    make -s ARCH=$1 oldconfig_nonint
    make -s ARCH=$1 dep
    make -s ARCH=$1 include/linux/version.h 
%else
    make -s oldconfig_nonint
    make -s dep
    make -s include/linux/version.h 
%endif
}

BuildKernel() {
    if [ -n "$1" ] ; then
	Config=%{_target_cpu}-$1
	KernelVer=%{version}-%{release}$1
	DependKernel %{_target_cpu} $1
	echo BUILDING A KERNEL FOR $1 %{_target_cpu}...
    else
	Config=%{_target_cpu}
	KernelVer=%{version}-%{release}
	DependKernel %{_target_cpu}
	echo BUILDING THE NORMAL KERNEL for %{_target_cpu}...
    fi

%ifarch i386 i586 i686 athlon
    make -s -j $NRPROC bzImage 
%else
    make -s -j $NRPROC boot 
%endif
    make -s -j $NRPROC modules
    # first make sure we are not loosing any .ver files to make mrporper's
    # removal of zero sized files.
    find include/linux/modules -size 0 | while read file ; do \
	echo > $file
    done
    # Start installing stuff
    mkdir -p $RPM_BUILD_ROOT/boot
    install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
    install -m 644 $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-$KernelVer
    mkdir -p $RPM_BUILD_ROOT/dev/shm
%ifarch ia64
    %{_mystrip} --strip-debug vmlinux
%endif
%ifarch i386 i586 i686 athlon
    cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    cp vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
%else
%ifarch ia64
    mkdir -p $RPM_BUILD_ROOT/boot/efi
    install -m 755 vmlinux $RPM_BUILD_ROOT/boot/efi/vmlinux-$KernelVer
    ln -s efi/vmlinux-$KernelVer $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
%else
    gzip -cfv vmlinux > vmlinuz
    install -m 644 vmlinuz $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    install -m 755 vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
%endif
%endif
    mkdir -p $RPM_BUILD_ROOT/lib/modules/$KernelVer
    make -s INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=$KernelVer
# make some extra symlinks for pcmcia cards not caught by make modules_install
    ln -s ../kernel/drivers/ide/ide-cs.o $RPM_BUILD_ROOT/lib/modules/$KernelVer/pcmcia/ide-cs.o
    ln -s ../kernel/drivers/net/3c59x.o  $RPM_BUILD_ROOT/lib/modules/$KernelVer/pcmcia/3c59x.o

%ifarch ia64
    %{_mystrip} --strip-debug `find $RPM_BUILD_ROOT/lib/modules/$KernelVer -type f` || :
%endif
}

SaveHeaders() {
    echo "SAVING HEADERS for $1 $2"
    # deal with the kernel headers that are version specific
    mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1
    install -m 644 include/linux/autoconf.h \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/autoconf.h
    install -m 644 include/linux/version.h \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/version.h
    mv include/linux/modules \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/
    echo $2 $1 ../../savedheaders/$2/$1/ >> $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/list
}

###
# DO it...
###

rm -rf $RPM_BUILD_ROOT

# jensen kernel, only for alpha.  old broken broken alpha.

%if %{buildjensen}
%ifarch alpha
BuildKernel jensen
%endif
%endif


# enterprise kernel, only part of the i686 arch
%if %{buildenterprise}
%ifarch i686
BuildKernel enterprise
SaveHeaders enterprise %{_target_cpu}
%endif
%endif

%if %{buildsmp}
#SMP-ENABLED KERNEL
%ifnarch i386
BuildKernel smp
SaveHeaders smp %{_target_cpu}
%endif
%endif

%if %{buildBOOT}
%ifnarch i586 i686 ia64 athlon
# BOOT kernel
BuildKernel BOOT
SaveHeaders BOOT %{_target_cpu}
%endif
%endif

%ifarch i386
DependKernel i586
SaveHeaders up i586
DependKernel i686
SaveHeaders up i686
DependKernel athlon
SaveHeaders up athlon
%endif
%ifarch sparc
DependKernel sparc64
SaveHeaders up sparc64
%endif

%if %{buildsmp}
%ifarch i386 
DependKernel i586 smp
SaveHeaders smp i586
DependKernel i686 smp
SaveHeaders smp i686
%endif
%ifarch sparc
DependKernel sparc64 smp
SaveHeaders smp sparc64
%endif
%endif

%if %{buildenterprise}
%ifarch i386 
DependKernel i686 enterprise
SaveHeaders enterprise i686
%endif
%endif

# NORMAL KERNEL
BuildKernel
%ifarch i386 athlon alpha sparc ia64
SaveHeaders up %{_target_cpu}
%endif

%ifnarch i586 i686 sparc64 
# compile devfsd
cd devfsd
perl -pi -e "s,-O2,$RPM_OPT_FLAGS -D_GNU_SOURCE,g" GNUmakefile
make -s KERNEL_DIR=..
cd ..

# and lets tag ipvs along for the ride,..
%endif


###
### install
###

%install

cd linux
mkdir -p $RPM_BUILD_ROOT/{boot,sbin}
install -m 755 $RPM_SOURCE_DIR/installkernel $RPM_BUILD_ROOT/sbin/installkernel

for i in $RPM_BUILD_ROOT/lib/modules/*; do
  rm -f $i/build 
  ln -sf ../../../usr/src/linux-%{kversion} $i/build
done

%ifarch i586 i686 sparc64
# these don't need much
exit 0
%endif

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
ln -sf linux-%{kversion} $RPM_BUILD_ROOT/usr/src/linux
install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

%ifarch sparc
ln -s ../src/linux/include/asm-sparc $RPM_BUILD_ROOT/usr/include/asm-sparc
ln -s ../src/linux/include/asm-sparc64 $RPM_BUILD_ROOT/usr/include/asm-sparc64
mkdir $RPM_BUILD_ROOT/usr/include/asm
cp -a $RPM_SOURCE_DIR/kernel-2.4-BuildASM.sh $RPM_BUILD_ROOT/usr/src/linux/include/asm-sparc/BuildASM
$RPM_BUILD_ROOT/usr/include/asm-sparc/BuildASM $RPM_BUILD_ROOT/usr/include
%else
ln -sf ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm
%endif

#clean up the destination
make -s mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
cp configs/kernel-%{kversion}-%{_target_cpu}.config $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/.config
make -s oldconfig_nonint -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make -s symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make -s include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make -s depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h files in place
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux ; {
rm -rf modules modversions.h autoconf.h version.h
cat > modversions.h <<EOF
#ifndef _LINUX_MODVERSIONS_H
#define _LINUX_MODVERSIONS_H
#include <linux/rhconfig.h>
#include <linux/modsetver.h>
EOF
echo '#include <linux/rhconfig.h>' > autoconf.h
list=`find ../../savedheaders/*/*/modules/*.ver -exec basename '{}' \; | sort -u`
mkdir modules
for l in $list; do
    sed 's,$,modules/'$l, ../../savedheaders/list | awk -f %{SOURCE17} > modules/$l
    touch -r modules/$l modules/`basename $l .ver`.stamp
    echo '#include <linux/modules/'$l'>' >> modversions.h
done
echo '#endif' >> modversions.h
sed 's,$,autoconf.h,' ../../savedheaders/list | awk -f %{SOURCE16} >> autoconf.h
install -m 644 %{SOURCE15} rhconfig.h
echo "#include <linux/rhconfig.h>" >> version.h
keyword=if
for i in smp BOOT BOOTsmp enterprise up; do
# This is wrong.  When we build in an i386, we don't have an enterprise header
# directory in savedheaders/i386/enterprise so we skip the enterprise version
# string when we shouldn't.  We also don't have a BOOT directory anywhere
# except in savedheaders/i386.  So, we need to use the older (and correct)
# method of determining if a kernel version string needs to be included in the
# version.h file
#    if [ -f ../../savedheaders/%{_target_cpu}/$i/version.h ]; then
    verh=`echo ../../savedheaders/*/$i/version.h | awk ' { print $1 } '`
    if [ -n "$verh" -a -f "$verh" ]; then
	if [ "$i" = up ]; then
	    echo "#else" >> version.h
	else
	    echo "#$keyword defined(__module__$i)" >> version.h
	    keyword=elif
	fi
	grep UTS_RELEASE $verh >> version.h
    fi
done
echo "#endif" >> version.h
grep -v UTS_RELEASE ../../savedheaders/%{_target_cpu}/up/version.h >> version.h
rm -rf ../../savedheaders
} ; popd
touch $RPM_BUILD_ROOT/boot/kernel.h-%{kversion}

# other tools
mkdir -p $RPM_BUILD_ROOT/sbin $RPM_BUILD_ROOT%{_mandir}/man8 $RPM_BUILD_ROOT/etc
install -m 755 -s devfsd/devfsd $RPM_BUILD_ROOT/sbin/devfsd
cp -p devfsd/devfsd.8 $RPM_BUILD_ROOT%{_mandir}/man8
cp -p devfsd/devfsd.conf $RPM_BUILD_ROOT/etc/devfsd.conf
cp -p devfsd/modules.devfs $RPM_BUILD_ROOT/etc/modules.devfs

make -s clean -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/devfsd
rm -f $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/devfsd/devfsd

rm -f $RPM_BUILD_ROOT/usr/include/linux
mkdir -p $RPM_BUILD_ROOT/usr/include/linux
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/linux/* $RPM_BUILD_ROOT/usr/include/linux/
rm -rf $RPM_BUILD_ROOT/usr/include/linux/modules
echo "#error Modules should never use kernel-headers system headers," > $RPM_BUILD_ROOT/usr/include/linux/modversions.h
echo "#error but headers from an appropriate kernel-source" >> $RPM_BUILD_ROOT/usr/include/linux/modversions.h
%ifarch sparc
rm -f $RPM_BUILD_ROOT/usr/include/asm-sparc
mkdir -p $RPM_BUILD_ROOT/usr/include/asm-sparc
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/asm-sparc/* $RPM_BUILD_ROOT/usr/include/asm-sparc/
rm -f $RPM_BUILD_ROOT/usr/include/asm-sparc64
mkdir -p $RPM_BUILD_ROOT/usr/include/asm-sparc64
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/asm-sparc64/* $RPM_BUILD_ROOT/usr/include/asm-sparc64/
%else
rm -f $RPM_BUILD_ROOT/usr/include/asm
mkdir -p $RPM_BUILD_ROOT/usr/include/asm
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/asm/* $RPM_BUILD_ROOT/usr/include/asm/
%endif

for i in $RPM_BUILD_ROOT/lib/modules/*; do
  rm -f $i/modules.*
done

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%pre 
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%pre smp
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%pre enterprise
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post 
cd /boot
%ifnarch ia64
ln -sf vmlinuz-%{KVERREL} vmlinuz
%endif
ln -sf System.map-%{KVERREL} System.map
ln -sf module-info-%{KVERREL} module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
depmod -ae -F /boot/System.map-%{KVERREL} %{KVERREL}
/sbin/mkkerneldoth

%post smp
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
depmod -ae -F /boot/System.map-%{KVERREL}smp %{KVERREL}smp
/sbin/mkkerneldoth

%post enterprise
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
depmod -ae -F /boot/System.map-%{KVERREL}enterprise %{KVERREL}enterprise
/sbin/mkkerneldoth

%post jensen
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
depmod -ae -i -m /boot/System.map-%{KVERREL}jensen %{KVERREL}jensen
/sbin/mkkerneldoth

%ifnarch ia64
%post BOOT
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
depmod -ae -F /boot/System.map-%{KVERREL}BOOT %{KVERREL}BOOT
/sbin/mkkerneldoth
%endif

# Allow clean removal of modules directory
%preun 
rm -f /lib/modules/%{KVERREL}/modules.*

%preun smp
rm -f /lib/modules/%{KVERREL}smp/modules.*

%preun enterprise
rm -f /lib/modules/%{KVERREL}enterprise/modules.*

%preun BOOT
rm -f /lib/modules/%{KVERREL}BOOT/modules.*

%preun jensen
rm -f /lib/modules/%{KVERREL}jensen/modules.*



%ifarch i386 i586 i686 athlon
if [ -x /sbin/lilo -a -f /etc/lilo.conf ]; then
	/sbin/lilo > /dev/null 2>&1
	exit 0
fi
%endif

%pre headers
[ -L /usr/include/linux ] && rm -f /usr/include/linux
[ -L /usr/include/asm ] && rm -f /usr/include/asm
%ifarch sparc
[ -L /usr/include/asm-sparc ] && rm -f /usr/include/asm-sparc
[ -L /usr/include/asm-sparc64 ] && rm -f /usr/include/asm-sparc64
%endif
exit 0

%post headers
/sbin/mkkerneldoth
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0


# We need this here because we don't prereq kudzu; it could be
# installed after the kernel
%triggerin -- kudzu
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade || :

%triggerin smp -- kudzu
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade || :

%triggerin enterprise -- kudzu
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade || :

%triggerin BOOT -- kudzu
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade || :

%triggerin jensen -- kudzu
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade || :


# Old kernel-headers packages owned include symlinks; new
# ones just make them so that we can have multiple kernel-headers
# packages installed.
%triggerpostun headers -- kernel-headers < 2.2.16
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0

%triggerpostun source -- kernel-headers < 2.2.16
cd /usr/src
rm -f %{kslnk}
ln -snf linux-%{kversion} %{kslnk}
exit 0

%post source
cd /usr/src
rm -f %{kslnk}
ln -snf linux-%{kversion} %{kslnk}

%postun headers
if [ $1 = 0 ]; then
    if [ -L /boot/kernel.h -a `ls -l /boot/kernel.h 2>/dev/null| awk '{ print $11 }'` = "kernel.h-%{kversion}" ]; then
	rm -f /boot/kernel.h
    fi
fi
exit 0

%postun source
if [ -L /usr/src/%{kslnk} ]; then 
    if [ -L /usr/src/%{kslnk} -a `ls -l /usr/src/%{kslnk} 2>/dev/null| awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/%{kslnk}
    fi
fi
exit 0

###
### file lists
###

%files 
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}
%ifarch ia64
/boot/efi/vmlinux-%{KVERREL}
%endif
%ifnarch ia64
/boot/vmlinuz-%{KVERREL}
%endif
/boot/module-info-%{KVERREL}
/boot/System.map-%{KVERREL}
%config /sbin/installkernel
%dir /lib/modules
%dir /dev/shm
/lib/modules/%{KVERREL}

%if %{buildsmp}
%ifnarch i386
%files smp
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}smp
%ifarch ia64
/boot/efi/vmlinux-%{KVERREL}smp
%endif
%ifnarch ia64
/boot/vmlinuz-%{KVERREL}smp
%endif
/boot/module-info-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
%config /sbin/installkernel
%dir /lib/modules
%dir /dev/shm
/lib/modules/%{KVERREL}smp
%endif
%endif

%if %{buildenterprise}
%ifarch i686
%files enterprise
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}enterprise
/boot/vmlinuz-%{KVERREL}enterprise
/boot/module-info-%{KVERREL}enterprise
/boot/System.map-%{KVERREL}enterprise
%config /sbin/installkernel
%dir /lib/modules
%dir /dev/shm
/lib/modules/%{KVERREL}enterprise
%endif
%endif

%if %{buildjensen}
%ifarch alpha
%files jensen
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}jensen
/boot/vmlinuz-%{KVERREL}jensen
/boot/System.map-%{KVERREL}jensen
%config /sbin/installkernel
%dir /lib/modules
%dir /dev/shm
/lib/modules/%{KVERREL}jensen
%endif
%endif

%if %{buildBOOT}
%ifnarch i586 i686 ia64 athlon
%files BOOT
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}BOOT
/boot/vmlinuz-%{KVERREL}BOOT
/boot/System.map-%{KVERREL}BOOT
%config /sbin/installkernel
%dir /lib/modules
%dir /dev/shm
/lib/modules/%{KVERREL}BOOT
%endif
%endif

%ifnarch i586 i686 sparc64 athlon
# START BASE ARCHES ONLY
%ifarch i386 alpha sparc ia64

%files source
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/REPORTING-BUGS
/usr/src/linux-%{kversion}/Rules.make
%ifarch i386 i586 i686 athlon
/usr/src/linux-%{kversion}/arch/i386
%else
/usr/src/linux-%{kversion}/arch/%{_target_cpu}
%endif
%ifarch sparc
/usr/src/linux-%{kversion}/arch/sparc64
%endif
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts
/usr/src/linux-%{kversion}/devfsd
/usr/src/linux-%{kversion}/configs
%ifarch sparc
/usr/src/linux-%{kversion}/include/asm-sparc
/usr/src/linux-%{kversion}/include/asm-sparc64
%else
%ifarch i386 i586 i686 athlon
/usr/src/linux-%{kversion}/include/asm-i386
%else
/usr/src/linux-%{kversion}/include/asm-%{_target_cpu}
%endif
%endif
/usr/src/linux-%{kversion}/include/asm
/usr/src/linux-%{kversion}/include/asm-generic
/usr/src/linux-%{kversion}/include/linux
/usr/src/linux-%{kversion}/include/net
/usr/src/linux-%{kversion}/include/pcmcia
/usr/src/linux-%{kversion}/include/scsi
/usr/src/linux-%{kversion}/include/video
%ifarch alpha sparc
/usr/src/linux-%{kversion}/include/math-emu
%endif  

%files -n devfsd
%defattr(-,root,root)
/sbin/devfsd
%{_mandir}/man8/devfsd.8*
%config(noreplace) /etc/devfsd.conf
%config /etc/modules.devfs

%files headers
%defattr(-,root,root)
/usr/include/linux
/usr/include/asm
%ifarch sparc
/usr/include/asm-sparc
/usr/include/asm-sparc64
%endif
/boot/kernel.h-%{kversion}

%files doc
%defattr(-,root,root)
%doc linux/Documentation/*

%endif
# END BASE ARCHES ONLY
%endif

%changelog
* Sun Apr 08 2001 Michael K. Johnson <johnsonm@redhat.com>
- Update release to 2.4.2-2
- Clean up some cruft in spec file
- Relax ordering requirements: gawk used in postun
- Strengthen ordering requirements: now prereq correct initscripts
  for mkkerneldoth (read: "make kernel dot h")

* Sun Apr 08 2001 Doug Ledford <dledford@redhat.com>
- Fix some multipath issues (multipath-fixes-4)

* Sun Apr 08 2001 Arjan van de Ven <arjanv@redhat.com>
- Updated Xircom not-a-Tulip driver

* Sat Apr 07 2001 Doug Ledford <dledford@redhat.com>
- Hopefully the final round of i810 audio fixes

* Sat Apr 07 2001 Benjamin LaHaise <bcrl@redhat.com>
- extracted linux-2.4.2-page_bitmap.patch from vmpoison
  and added to all builds.

* Sat Apr 07 2001 Arjan van de Ven <arjanv@redhat.com>
- Hopefully fixed the /boot/kernel.h issue forever
- Silence a few more printk's to be syslog only

* Sat Apr  7 2001 Matt Wilson <msw@redhat.com>
- disable debugging
- 0.1.51

* Sat Apr  7 2001 Ingo Molnar <mingo@redhat.com>
- added swap fixes

* Sat Apr  7 2001 Ingo Molnar <mingo@redhat.com>
- ext2fs corruption fixes

* Fri Apr 06 2001 Bill Nottingham <notting@redhat.com>
- more ia64 csum tweaks

* Fri Apr 06 2001 Doug Ledford <dledford@redhat.com>
- fix the multipath code and re-enable

* Thu Apr 05 2001 Michael K. Johnson <johnsonm@redhat.com>
- Conditionalize multipath, disabled for now

* Thu Apr 05 2001 Arjan van de Ven <arjanv@redhat.com>
- Added bcrl's patch to fix SMP swap corruption

* Thu Apr 05 2001 Doug Ledford <dledford@redhat.com>
- fix i810 sound driver to work around broken artsd and a kernel bug

* Wed Apr 04 2001 Arjan van de Ven <arjanv@redhat.com>
- Added fixes for corruption in buffer.c and scsi_merge

* Wed Apr 04 2001 Michael K. Johnson <johnsonm@redhat.com>
- conflict with old versions of mount and nfs-utils

* Tue Apr 03 2001 Arjan van de Ven <arjanv@redhat.com>
- added ohci patch

* Tue Apr 03 2001 Ingo Molnar <mingo@redhat.com>
- TUX-fixes patch, update to -X4 version.

* Fri Mar 30 2001 Bill Nottingham <notting@redhat.com>
- fix ia64 build

* Thu Mar 29 2001 Bill Nottingham <notting@redhat.com>
- add patch to fix machine checks on ia64 (<asit.k.mallick@intel.com>)

* Wed Mar 28 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.2-dma-livelock-fix

* Wed Mar 28 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.2-vmtruncate.patch

* Wed Mar 28 2001 Stephen C. Tweedie <sct@redhat.com>
- Added aggressive reclaim of orphaned swap (if vmbalance enabled)

* Wed Mar 28 2001 Arjan van de Ven <arjanv@redhat.com>
- Added Alan's cardbus patch
- Added zaitcev's USB message throttling

* Wed Mar 28 2001 Benjamin LaHaise <bcrl@redhat.com>
- added BUG() if buffer unlocked in end_io call to vmpoison patch
- added linux-2.4.2-rqdebug.patch from sct.

* Wed Mar 28 2001 Ingo Molnar <mingo@redhat.com>
- another batch of multipath-fixes, separate patch so that
  we have an easy way back.

* Tue Mar 27 2001 Benjamin LaHaise <bcrl@redhat.com>
- added BUG() if buffer unlocked in end_io call to vmpoison patch

* Tue Mar 27 2001 Stephen C. Tweedie <sct@redhat.com>
- fix debugging conflict with smbfs internal debugging

* Tue Mar 27 2001 Tim Waugh <twaugh@redhat.com>
- added linux-2.4.2-restorestate.patch: fix bug #31170

* Tue Mar 27 2001 Benjamin LaHaise <bcrl@redhat.com>
- fix debugging bug with reclaim_page

* Tue Mar 27 2001 Arjan van de Ven <arjanv@redhat.com>
- Added Alan's "blacklist KT7RAID for IDE DMA" patch

* Tue Mar 27 2001 Benjamin LaHaise <bcrl@redhat.com>
- updated linux-2.4.2-no_profile.patch to correct patch
- updated linux-2.4.2-vmpoison.patch to fix a bug

* Mon Mar 26 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.2-find_page.patch: potential corruption fix
- added linux-2.4.2-no_profile.patch regain 6MB of memory on boot
- added linux-2.4.2-bootmem_oom.patch to panic on oom during boot
- updated linux-2.4.2-vmpoison.patch with more poison, removed
  linux-2.4.2-uptodate.patch
- added linux-2.4.2-i2oinit.patch from Arjan

* Mon Mar 26 2001 Bill Nottingham <notting@redhat.com>
- patch from David Mosberger to fix networking issues on ia64

* Mon Mar 26 2001 Arjan van de Ven <arjanv@redhat.com>
- Mark OSB4 driver experimental
- Update TUX2
- merged zaitcev's OV511 fix
- disabled dma66 for all via IDE chipsets

* Sun Mar 25 2001 Benjamin LaHaise <bcrl@redhat.com>
- Added linux-2.4.2-uptodate.diff to BUG() out on page cache misuse;
  also includes a potential fix for the corruption problem.

* Sun Mar 25 2001 Ingo Molnar <mingo@redhat.com>
- Update the multipath-fixes patch to the much less
  radical C0 version, B1 was never meant to be committed,
  it was a Dell-only test-patch!

* Sat Mar 24 2001 Stephen C. Tweedie <sct@redhat.com>
- Added buffer_head highmem fix

* Fri Mar 23 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.2-aviro-buffer.c.patch
- updated linux-2.4.2-vmpoison.patch

* Fri Mar 23 2001 Doug Ledford <dledford@redhat.com>
- Update the multipath-fixes patch to the B1 version from Ingo

* Fri Mar 23 2001 Arjan van de Ven <arjanv@redhat.com>
- Merged bugfixes from 2.4.2-ac23
  * isapnp fix
  * reiserfs corruption
  * sound lock_kernel thinkos
  * allow sleeping in C-A-D handlers
  * small PPP race


* Thu Mar 22 2001 Bill Nottingham <notting@redhat.com>
- merge in 010321 ia64 patch from David Mosberger
- don't apply vmpoison.patch on ia64 (it relies on per-cpu-pages)

* Thu Mar 22 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.2-req_finished_io.patch for req_finished_io
- updated vmpoison.patch to fix a kmap problem
- added linux-2.4.2-ip_conntrack.patch to fix a hash table
  size of 0 which results in an Oops on startup
- added linux-2.4.2-pmd_alloc_fix.patch
- added linux-2.4.2-bootmem.patch to fix an off by one error
  that results in memory overwrites

* Thu Mar 22 2001 Arjan van de Ven <arjanv@redhat.com>
- Added patch from DaveM to fix IPv6 tunnels.
- Merged tux V1
- Disabled the Serverworks UDMA support
- Added IBM's new ServerRAID driver. This one has survived lots of testing
    by IBM
- Added ptrace patch

* Wed Mar 21 2001 Philip Copeland <bryce@redhat.com>
- Updated config files to take account of two new config options
  CONFIG_IP_VS_DEBUG (n)
  CONFIG_IP_VS_TAB_BITS (16)
- Modified the 2.4.2-cipe.patch to acomodate the change of location
  of ipvs

* Wed Mar 21 2001 Philip Copeland <bryce@redhat.com>
- retired Patch275 and replaced it with 276 on the recomendation of
  Wensong which moves ipvs from 0.1.2 -> 0.2.4
  Structurally removes net/ipv4/netfilter/ip_vs and moves it to
  net/ipv4/ipvs

* Wed Mar 21 2001 Doug Ledford <dledford@redhat.com>
- fix memory leak in i810 sound driver
- update scsi-reset patch to correct some locking issues under heavy reset
  conditions (James Bottomley)

* Wed Mar 21 2001 Stephen C. Tweedie <sct@redhat.com>
- Added shared memory locking fix

* Wed Mar 21 2001 Arjan van de Ven <arjanv@redhat.com>
- silenced DRI debugging messages
- merged Ingo's patch for spinlocks around apic operations

* Wed Mar 21 2001 Doug Ledford <dledford@redhat.com>
- update i810 sound driver to solve artsd output problems
- added scsi_scan patch to make scanning of sparselun devices work again
- update old aic7xxx driver to possibly fix 7896 lockup problems
- updated new aic7xxx driver to version 6.1.7

* Tue Mar 20 2001 Arjan van de Ven <arjanv@redhat.com>
- Added patch for netgear fa31x boards powerstate
- Added patch to silence PS/2 code (no keyboard there if
  there is a USB keyboard)

* Mon Mar 19 2001 Arjan van de Ven <arjanv@redhat.com>
- Added Zaitcev's patch for USB mice (#23670)


* Sun Mar 18 2001 Arjan van de Ven <arjanv@redhat.com>
- Added fix for HPT370 UDMA problem

* Fri Mar 16 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added qlogicfc to the list of controllers with limited scsi request sizes

* Thu Mar 15 2001 Michael K. Johnson <johnsonm@redhat.com>
- updated binfmt_misc patch to create directory

* Thu Mar 15 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.2-ac20-pmd_alloc.diff fix for PAE

* Thu Mar 15 2001 Arjan van de Ven <arjanv@redhat.com>
- Added Al Viro's patch to fs/namei.c
- Added the BKL patch for truncate (2.4.2-ac)
- added VM poison

* Wed Mar 14 2001 Arjan van de Ven <arjanv@redhat.com>
- Added 2.4.2-ac20 I2O patches
- Made PCI printk's KERN_INFO

* Thu Mar 13 2001 Stephen C. Tweedie <sct@redhat.com>
- merge in VM performance changes up to 2.4.2-ac18

* Tue Mar 13 2001 Arjan van de Ven <arjanv@redhat.com>
- fix bug 30513 (iostat vs promise IDE boards)
- TUX 2.4.2-S4
- merged md fixes

* Mon Mar 12 2001 Bill Nottingham <notting@redhat.com>
- run /usr/sbin/module_upgrade in a kudzu trigger as well

* Mon Mar 12 2001 Arjan van de Ven <arjanv@redhat.com>
- merged bugfixes from 2.4.2-ac18:
  - reiserfs cleanup
  - zerocopy bugfixes
  - zerocopy nbd
  - smbfs fixes
  - cyrix III MTRR checks
  - vmalloc race fix
  - pcmcia resource fix
- merged TUX 2.4.2-P3
- new version of the xircom driver
- default limit of 64 sectors in a scsi request
- enabled slab poison
- fixed 28489

* Fri Mar 09 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added another request-size limiting patch for Qlogic sbus and BusLogic,
  may need to add more adapters to this patch over time

* Fri Mar 09 2001 Arjan van de Ven <arjanv@redhat.com>
- Added QLogic ISP request-size limiting patch
- Updated xircom_cb driver to newer version
- Potential workaround for Abit KT7ARAID board bugs in via-corruption patch

* Thu Mar 08 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added cipefix patch from David Miller

* Thu Mar 08 2001 Stephen C. Tweedie <sct@redhat.com>
- add current raw IO fixes

* Thu Mar 08 2001 Pete Zaitcev <zaitcev@redhat.com>
- Adding a fix for usb-uhci to work when SLAB is not aligned (poisoned).

* Thu Mar 08 2001 Michael K. Johnson <johnsonm@redhat.com>
- now prereq modutils 2.4.2-5 for new binfmt_misc support

* Thu Mar 08 2001 Arjan van de Ven <arjanv@redhat.com>
- added Ingo's bouncebuffer patch
- added Tim Waughs parport fixes
- switched to Alan's cleaned up megaraid
- added zaitcev's patch to prevent LVM oops
- added Than Ngo's patch for pcmcia ISDN
- forward-ported 2.2.19pre1 via timerbug workaround
- added Al Viro's binfmt_misc

* Wed Mar 07 2001 Arjan van de Ven <arjanv@redhat.com>
- added epca patch and more USB scanner ID's from 2.4.2-ac13
- added the IDE dma blacklist

* Tue Mar 06 2001 Doug Ledford <dledford@redhat.com>
- heavily patched/modified version of the i810 audio driver

* Tue Mar 06 2001 Arjan van de Ven <arjanv@redhat.com>
- added pge patch for Cyrix 686 kernels from Arjan

* Tue Mar 06 2001 Michael K. Johnson <johnsonm@redhat.com>
- depmod -ae

* Tue Mar 06 2001 Arjan van de Ven <arjanv@redhat.com>
- 2 more patches from 2.4.2-ac11/12 (8139too and the pci resources API change )
- workaround for the tokenring init mess
- added patch to enable the second IDE channel on PDC20265's

* Tue Mar  6 2001 Matt Wilson <msw@redhat.com>
- added linux-2.4.2-i2o-blocksize.patch (Patch225) to fix i2o /proc/partitions
  entries

* Mon Mar 05 2001 Michael K. Johnson <johnsonm@redhat.com>
- Turned off CONFIG_USB_MOUSE because the HID code handles all mice we know

* Mon Mar 05 2001 Arjan van de Ven <arjanv@redhat.com>
- Added the patch from DHinds to fix cardbus irqs
- enabled multicast routing, bridging and QOS
- merged patches 214 to 224 from 2.4.2-ac11


* Sun Mar 4 2001 Philip Copeland <bryce@redhat.com>
- Reverted the parport_device_id changes that are in ac3
  which prevent the kernel-sources-x.y.z.src.rpm from
  being recompiled

* Fri Mar 02 2001 Ingo Molnar <mingo@redhat.com>
- linux-2.4.2-nmi-lockup-workaround.patch temporarily defaults nmi watchdog off

* Fri Mar 02 2001 Philip Copeland <bryce@redhat.com>
- added linux-2.4.2-alpha-irongate.patch from Compaq

* Fri Mar 02 2001 Michael K. Johnson <johnsonm@redhat.com>
- added Arjan's linux-2.4.2-via-corruption.patch to fix disk corruption
  problems widely reported on KT133 machines
- Stephen/Tim fixed linux-2.4.1-axboe-scsi-max-sec.patch fixing scsi performance

* Thu Mar 01 2001 Doug Ledford <dledford@redhat.com>
- Added the scsi-reset patch so that you can reset devices through their
  sg entry

* Thu Mar 01 2001 Arjan van de Ven <arjanv@redhat.com>
- updated reiserfs to latest version
- prevent raid from oopsing
- lockd patch
- added alternate airo_cs driver
- added zaitcev's USB alloc fix

* Wed Feb 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- atp.c would not compile as a module, fixed

* Wed Feb 28 2001 Arjan van de Ven <arjanv@redhat.com>
- Added extra Toshoboe PCI ID (29993)
- added "fix hang in parport" patch (twaugh)
- maestro3 DMA fix
- fixed 29908 (loopdevice oops)

* Tue Feb 27 2001 Matt Wilson <msw@redhat.com>
- added a patch to fix for non-atomic bit clear in eepro100 driver on alpha
  (linux-2.4.2-eepro100-alpha.patch)

* Tue Feb 27 2001 Arjan van de Ven <arjanv@redhat.com>
- updated ikd to 2.4.2
- added olympic driver fix
- make Alpha happy
- added opl3sa patch
- added netdevice setup patch
- added 3ware patch
- merged TUX version G9
 
* Mon Feb 26 2001 Doug Ledford <dledford@redhat.com>
- bug fix to the aic7xxx-5.2.3 driver
- Added Michael E. Brown <michael_e_brown@dell.com> patch to add an ioctl to
  the block device layer to allow accessing the last sectors in a block
  device that has an odd number of sectors (needed for EFI compliance)
- Added Ingo's multipath I/O support for the md raid layer

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix a case where the ia64 clock can go backwards (from <steiner@sgi.com>)

* Mon Feb 26 2001 Arjan van de Ven <arjanv@redhat.com>
- Added netdebug patch on DaveM's request
- Added support for the Epson 1240U usb scanner
- removed wavelan udelay patch (no longer needed for gcc 2.96-74)
- derace the waking of the usb storage thread
- merged to 2.4.2-ac3, bumped version to 0.1.15
- put in the new, experimental xircom_cb driver
- upgraded to tux 2.4.2-F8

* Fri Feb 23 2001 Michael K. Johnson <johnsonm@redhat.com>
- added preinstalls for smp and enterprise to modprobe loop like uniprocessor
- disabled 3c90x driver because it does not work correctly.

* Fri Feb 23 2001 Bill Nottingham <notting@redhat.com>
- just remove modules.* in %preun; catches anything new, and
  avoids errors if certain files aren't there

* Fri Feb 23 2001 Arjan van de Ven <arjanv@redhat.com>
- Updated 3c59x driver to version 1.1.14 from Andrew Morton
- enabled Hewlett-Packard 8200e/8210e CD-Writer Plus
- enabled Advanced routing (#29087)

* Tue Feb 22 2001 Matt Wilson <msw@redhat.com>
- updated module-info to the copy from anaconda CVS

* Thu Feb 22 2001 Arjan van de Ven <arjanv@redhat.com>
- added 3ware patch
- re-enabled 3ware again

* Thu Feb 22 2001 Michael K. Johnson <johnsonm@redhat.com>
- added linux-2.4.1-flush_tlb_export.patch
- updated to e100 1.5.5

* Wed Feb 21 2001 Doug Ledford <dledford@redhat.com>
- update Justin Gibbs' aic7xxx driver to version 6.1.4

* Wed Feb 21 2001 Bill Nottingham <notting@redhat.com>
- export a couple more symbols on ia64
- increase default size of swiotlb on ia64

* Wed Feb 21 2001 Michael K. Johnson <johnsonm@redhat.com>
- disable 3ware driver on SMP until a bugfix is found
- updated to tux2-2.4.1-P5 to fix dcache bug

* Wed Feb 21 2001 Arjan van de Ven <arjanv@redhat.com>
- Merged bugfixes from ac20:
  - non-PNP AWE32 fix
  - updates to various pcmcia network drivers
- Added "ideX=nodma" commandline option

* Tue Feb 20 2001 Arjan van de Ven <arjanv@redhat.com>
- Reordered several patches to the proper section
- Merged the following patches from ac17-18-19:
  - jgarzik's network driver cleanups
  - reiserfs tailpacking datacorruption
  - smbfs off-by-one fixes
  - USB 2.0, USB Hub device claim race, USB net recovery 
  - SO_SNDTIMEO bugs
- Fixed CIPE on SMP machines (#28386)
- new tulip driver
- new version of the Loop fixes (Al Viro)
- backed out vm-rebalance; be careful with ext2
  
* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- minor ia64 tweaks

* Mon Feb 19 2001 Michael K. Johnson <johnsonm@redhat.com>
- removed duplicate ksyms exports for alpha
- added brokenmptable patch from Ingo
- Turned on CONFIG_USB_MOUSE and CONFIG_USB_KBD because they
  are needed after all with some hardware and the conflicts with 
  CONFIG_USB_HID are non-fatal.

* Mon Feb 19 2001 Arjan van de Ven <arjanv@redhat.com>
- Merged tulip PNIC updates from 2.4.1-ac18
- removed extra DSCC4=m config option
- changed to the EUI64 format for IPv6
- enlarged printk buffer (#28288)
- upgraded to ac16, bump to 0.1.11

* Fri Feb 16 2001 Arjan van de Ven <arjanv@redhat.com>
- actually commited NFS patch
- updated intel e1000 to version 3.0.7
- reverted the kudzu change
- actually build the HP5300 module
- provisional WinChip patch
- made the 2.4 kernel conflict with isapnptools as that conflict
  breaks the actual PNP in the 2.4 kernel.


* Thu Feb 15 2001 Arjan van de Ven <arjanv@redhat.com>
- NFS memcmp bug
- changed requires kudzu >= 0.93 to conflicts kudzu <= 0.92
- made the kernel conflict with program too old according
  to Documentation/Changes

* Thu Feb 15 2001 Bill Nottingham <notting@redhat.com>
- change wvlan_cs Config.in description to something more appropriate

* Thu Feb 15 2001 Michael K. Johnson <johnsonm@redhat.com>
- Turned off CONFIG_USB_MOUSE and CONFIG_USB_KBD because they
  conflict with using CONFIG_USB_HID (hotplug loads both...)
- build toshiba module

* Thu Feb 15 2001 Karsten Hopp <karsten@redhat.de>
- search for all LUNs on CR3500 shared SCSI controller

* Wed Feb 14 2001 Doug Ledford <dledford@redhat.com>
- Add Justin Gibbs' aic7xxx driver version 6.1.1 as aic7xxx_new

* Wed Feb 14 2001 Michael K. Johnson <johnsonm@redhat.com>
- added quiet patch so that autorun and magicdev don't mangle logs

* Wed Feb 14 2001 Arjan van de Ven <arjanv@redhat.com>
- Made Cyrix CPU's work again
- Added ideprobe patch to avoid hotprobe lockups
- fixed tulip xircom phase 2
- ikd (kdb)
- remove *~ files (#18751)
- fix poll() on usb printers (#26909)
- fixed argument parsing for sym63c416 driver
- merged ac13 patch to prevent parport from corrupting the pci dev list
- fixed sbpcd (ac13)
- fixed usbhub (ac13, missing unlock_kernel)
- fixed vmalloc race (ac13)
- potential uhci slab interaction fix
- smbfs fixes (ac13)
- tmpfs nlink fix for perl (ac13)
- arcnet init fixes (ac13)


* Wed Feb 14 2001 Matt Wilson <msw@redhat.com>
- 0.1.8
- turn off tux

* Tue Feb 13 2001 Bill Nottingham <notting@redhat.com>
- fix typos in debugging patch

* Tue Feb 13 2001 Michael K. Johnson <johnsonm@redhat.com>
- turned off CONFIG_BLK_DEV_ALI15X3 for alpha
- updated to tux2-2.4.1-L4, merge with debugging and highmem patches
- added %debugging macro for turning debugging on and off
- updated to scsi-max-sec-2

* Tue Feb 13 2001 Matt Wilson <msw@redhat.com>
- 0.1.6
- turned off CONFIG_NETFILTER and CONFIG_FILTER in i386 BOOT config
- modified linux-2.4.1-ia64-010131-2.diff to use the new PCI_ROUTING_TABLE
  structure in acpiconf.c

* Tue Feb 13 2001 Arjan van de Ven <arjanv@redhat.com>
- Made "realmode poweroff" a commandline option disabled by default.
  (believed to fix #26261, #26760, #24198, #23322)
- disabled netfilter and such in the -BOOT option
- made the kernel slab patch a config-option disabled for BOOT
- ServerRAID 4.50

* Tue Feb 13 2001 Matt Wilson <msw@redhat.com>
- 0.1.5
- regenerated linux-2.4.1-ia64-010131-2.diff so it will patch
- specify ARCH= when building the common sparc/sparc64 headers

* Mon Feb 12 2001 Michael K. Johnson <johnsonm@redhat.com>
- added Jens Axboe's scsi-max-sec-1 as linux-2.4.1-axboe-scsi-max-sec.patch
- updated to new aacraid driver (depends on Jens's patch) plus Matt Domsch's fix
- added changeloop-fixes-2 from Al

* Mon Feb 12 2001 Arjan van de Ven <arjanv@redhat.com>
- upgraded to 2.4.1-ac10
- merged new e100/e1000 drivers

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- disable broken sparcaudio drivers on sun4[cdm]
- disable reiserfs on all sparc
- added linux-2.4.1ac8-nopci.patch to correct builds if not using CONFIG_PCI
- added linux-2.4.1ac8-zap_page_range.patch

* Fri Feb 09 2001 Michael K. Johnson <johnsonm@redhat.com>
- updated to Al's latest loop fixes

* Fri Feb 9 2001 Arjan van de Ven <arjanv@redhat.com>
- updated to 2.4.1-ac8, changed version number to 0.1.1
- added Ingo's highmem patch
- added IRC netfilter addon for DCC over NAT
- new megaraid driver (1.14g)
- Fix for bug 26696 (compaq vs irq 13)

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- sync up ia64 with David Mosberger's 20010131 patch
- add x86-compatibility ia64 bugfix patch from Don Dugger

* Thu Feb  8 2001 Matt Wilson <msw@redhat.com>
- added linux-2.4.1-i2o-lockup.patch for some bus/card combos

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- don't buildprereq gcc-2.96-74 on ia64

* Thu Feb 8 2001 Arjan van de Ven <arjanv@redhat.com>
- updated to 2.4.1-ac6, changed version number
- new broadcom driver
- serverworks workaround

* Wed Feb 7 2001 Arjan van de Ven <arjanv@redhat.com>
- corruption fix
- merged xircom_tulip into real tulip
- require gcc 2.96-74 or later for building
- merged aic7xxx from HEAD
- added DAC960 version 2.4.10

* Wed Feb 07 2001 Michael K. Johnson <johnsonm@redhat.com>
- use module_upgrade from kudzu package, prerequire kudzu >= 0.93

* Wed Feb  7 2001 Doug Ledford <dledford@redhat.com>
- fix the aic7xxx_new-6.1.0 patch :-(
- fix the aic7xxx_new-6.1.0 patch again :-(

* Wed Feb  7 2001 Matt Wilson <msw@redhat.com>
- added linux-2.4.1-i2o.patch.  This registers i2o block devices in
  /proc/partitions and fixes some other i2o bugs.

* Tue Feb 06 2001 Michael K. Johnson <johnsonm@redhat.com>
- require modutils 2.4.2 or greater

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update devfsd to 1.3.11, fixes some glibc 2.2 issues

* Tue Feb  6 2001 Doug Ledford <dledford@redhat.com>
- update the aic7xxx driver to 5.2.2
- move the new Adaptec aic7xxx driver to aic7xxx_new

* Tue Feb  6 2001 Matt Wilson <msw@redhat.com>
- add a buildjensen macro, set it to 0 (as jensen seems broken)

* Mon Feb  5 2001 Matt Wilson <msw@redhat.com>
- 0.99.23
- make jensen subpackage on alpha (again, yuck)

* Mon Feb  5 2001 Matt Wilson <msw@redhat.com>
- 0.99.22
- turn on enterprise kernel
- set CONFIG_FILTER and CONFIG_NETFILTER to off in i386 BOOT kernel

* Mon Feb  5 2001 Arjan van de Ven <arjanv@redhat.com>
- Groundwork for the 2.4.1-ac2 merge
- turned of ACPI
 

* Mon Feb 5 2001 Arjan van de Ven <arjanv@redhat.com>
- added Matrox G450 patch
- updated from 2.4.1-ac1 to 2.4.1-ac2

* Fri Feb  2 2001 Matt Wilson <msw@redhat.com>
- tweaked the alpha boot kernel to be a little smaller
- moved the alpha header patch to if %%tux
- turn off tux
- added linux-2.4.0-alpha-header-conflict.patch
  (no more NFS root installs)

* Fri Feb 2 2001 Arjan van de Ven <arjanv@redhat.com>
- Socket DoS fix from Alexey/DaveM

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing /etc/modules.devfs to devfsd package

* Thu Feb 01 2001 Michael K. Johnson <johnsonm@redhat.com>
- cciss 2.4.2
- integrated tested loop patches from Al

* Wed Jan 31 2001 Doug Ledford <dledford@redhat.com>
- added a fix for a PIII security hole

* Wed Jan 31 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.1-zap_page_range_fix.patch

* Wed Jan 31 2001 Michael K. Johnson <johnsonm@redhat.com>
- new tux patch tux2-2.4.0-final-S9

* Wed Jan 31 2001 Arjan van de Ven <arjanv@redhat.com>
- Fixed3c575 driver load typo-bug (23820)
- fixed athlon build for tux
- added provisional ide-floppy patch
- silenced the ide-cs driver a bit (resource management conflict between IDE
  and PCMCIA subsystems)
- made ia64 almost build

* Wed Jan 31 2001 Bill Nottingham <notting@redhat.com>
- include include/pcmcia in kernel-source so pcmcia drivers can build 

* Tue Jan 30 2001 Michael K. Johnson <johnsonm@redhat.com>
- temporarily disabled Al's loopback patches while he fixes them

* Tue Jan 30 2001 Arjan van de Ven <arjanv@redhat.com>
- Fixed i82365 driver (bug 24804)
- added "athlon" architecture
- Phase 1 of ide-cs fix
- maestro3 patch from Zach Brown

* Mon Jan 29 2001 Doug Ledford <dledford@redhat.com>
- Updated aic7xxx driver to 6.1.0
- Corrected a bug in the rhconfig.h file we install
- Corrected a bug in the build process in the spec file

* Mon Jan 29 2001 Michael K. Johnson <johnsonm@redhat.com>
- new tux2 patch tux2-2.4.0-final-R9
- integrated Al's loopback device fixes
- since enterprise kernel has only highmem-64GB support, limit to >= PIII

* Sun Jan 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- integrated Linus's shared memory swap patch
- integrated Andrey's 1.36 eepro100 driver
- integrated block scheduler fix from pre11
- updated to new tux2 patch, now modular

* Fri Jan 26 2001 Michael K. Johnson <johnsonm@redhat.com>
- added Jens Axboe's loop patch (disabled, Al fixing it and changeloop both)

* Fri Jan 26 2001 Arjan van de Ven <arjanv@redhat.com>
- Fixed parport_cs unresolved symbol
- reverted new wvlan port, the old one _did_ work

* Fri Jan 26 2001 Doug Ledford <dledford@redhat.com>
- added the xmm patch to keep the system from touching non-existent mxcsr
  registers
- verified that the two linux-merge-*.awk scripts do indeed use the right
  symbol names so that they should work properly

* Thu Jan 25 2001 Bill Nottingham <notting@redhat.com>
- remove /lib/modules/<whatever>/modules.generic_string as well (#24991)

* Thu Jan 25 2001 Michael K. Johnson <johnsonm@redhat.com>
- integrated new tux2 patch
- require new mkinitrd for RAID modules

* Thu Jan 25 2001 Arjan van de Ven <arjanv@redhat.com>
- Added parport_cs port from pcmcia-cs package
- backed out to ac10
- new wvlan port, this one is reported to work even

* Wed Jan 24 2001 Erik Troan <ewt@redhat.com>
- updated RAID_AUTORUN patch

* Wed Jan 24 2001 Arjan van de Ven <arjanv@redhat.com>
- Fix for bug 24698 (incorrect "build" link)
- Updated to 2.4.0-ac11 (still pre9 based), bumped version to 0.99.11
- added patch to fix most warnings people will see
- changes wvlan.o to wvlan_cs.o

* Tue Jan 23 2001 Matt Wilson <msw@redhat.com>
- 2.4.0-0.99.10, ac10 base
- rebuild with modutils 2.4.2 in place

* Tue Jan 23 2001 Matt Wilson <msw@redhat.com>
- added RAID_AUTORUN ioctl to raid driver from Ingo
- fixed the autorun patch

* Tue Jan 23 2001 Benjamin LaHaise <bcrl@redhat.com>
- IDE DMA by default enabled
- add lm_sensors built as modules
- enable reiserfs

* Tue Jan 23 2001 Arjan van de Ven <arjanv@redhat.com>
- blacklisted IBM deskstar disks for UDMA on hpt366 controllers (dwmw2)
- added RAID5 corruption fix from 2.4.1-pre10
- added fix for FD problem from 2.4.1-pre10
- added DAC960 fix from 2.4.1-pre10 (Jens Axboe's patch)
- added fix wrong __init in io-apic.c from 2.4.1-pre10
- removed broadcom driver temporarily

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- uncomment rm -rf $RPM_BUILD_ROOT from %clean
- modified the drivers/usb/uhci.c patch of the ia64 patch to patch against ac10
- resynced kernel-2.4.0-i386-BOOT.config with available options
- added linux-2.4.0-tgafb-unregister-framebuffer.patch to pass correct
  value into unregister_framebuffer
- updated kernel-2.4.0-ia64-smp.config and kernel-2.4.0-ia64.config for
  available options

* Mon Jan 22 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.0-sysctl.patch
- added linux-2.4.0-map_user_kiobuf-fix.patch

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- increased ramdisk size of kernel-BOOT from 4096 to 4608

* Mon Jan 22 2001 Arjan van de Ven <arjanv@redhat.com>
- updated to ac10, which already contains the waitpid patch

* Mon Jan 22 2001 Benjamin LaHaise <bcrl@redhat.com>
- added linux-2.4.0-waitpid.patch to fix init/contextd SIGCHLD race

* Mon Jan 22 2001 Arjan van de Ven <arjanv@redhat.com>
- added first draft of wvlan driver
- touched the ide-cs thing. Please test

* Mon Jan 22 2001 Michael K. Johnson <johnsonm@redhat.com>
- turned on e1000 driver again
- e100 updated to 1.5.0 as linux-2.4.0-e100.patch

* Mon Jan 22 2001 Erik Troan <ewt@redhat.com>
- switched ide-cd back to a module in all x86 kernels

* Fri Jan 19 2001 Arjan van de Ven <arjanv@redhat.com>
- added Broadcom 5700 driver
- added patch to workaround gross misuse of ASSERT in IrDA

* Fri Jan 19 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added aacraid driver (broken so added as a non-building placeholder)
- Turn off modules on Alpha that are not building correctly
- Turn off e100 driver on IA64 because it doesn't build there
- Added linux-2.4.0-ieee1394-queuefix.patch for task queue changes
- Added linux-2.4.0-3x90x.patch 3c90x driver from 3com

* Fri Jan 19 2001 Arjan van de Ven <arjanv@redhat.com>
- updated megaraid to 1.14b
- made the non-smp kernel provide "kernel = 2.4"
- made the smp kernels provide "module-info"

* Thu Jan 18 2001 Philip Copeland <bryce@redhat.com>
- added in the SARD patch

* Thu Jan 18 2001 Erik Troan <ewt@redhat.com>
- switched idefloppy to build in
- updated e100, e1000 driver
- enabled natsemi module in i386 BOOT kernel

* Thu Jan 18 2001 Michael K. Johnson <johnsonm@redhat.com>
- new tux patch
- turned on CONFIG_IP_NF_IRC as module

* Wed Jan 17 2001 Matt Wilson <msw@redhat.com>
- fixed typo in linux-2.4.0-aic7xxx-6.0.8BETA.patch for !i386 !alpha

* Wed Jan 17 2001 Bill Nottingham <notting@redhat.com>
- update to cipe-1.4.5, make it one patch

* Wed Jan 17 2001 Arjan van de Ven <arjanv@redhat.com>
- update to 2.4.0-ac9

* Tue Jan 16 2001 Bill Nottingham <notting@redhat.com>
- fix the aic7xxx patches to not patch backup files
- fix the cipe makefile so that it builds

* Mon Jan 15 2001 Doug Ledford <dledford@redhat.com>
- move the current aic7xxx driver aic7xxx_old
- add Justin Gibbs' new aic7xxx driver
- add a fix so that the cs4281 module will build

* Fri Jan 12 2001 Karsten Hopp <karsten@redhat.de>
- added starfire mmio patch to allow reload of this module

* Fri Jan 12 2001 Philip Copeland <bryce@redhat.com>
- Added in hooks for the ipvs 0.1.2 production kits to ksyms.c
- Added in patch250 to the spec file referancing linux-2.4.0-ipvs.patch
- added subdir ipvs in kernel tree which holds ipvs module code
- ac4 typo fix

* Fri Jan 12 2001 Michael K. Johnson <johnsonm@redhat.com>
- made build symlink relative
- qla1x160src-3.23Beta as linux-2.4.0-qla1280.patch
- make oldconfig_nonint so that builds reliably fail when config files need mods

* Thu Jan 11 2001 Bill Nottingham <notting@redhat.com>
- turn off CONFIG_DISABLE_VHPT on ia64, it's broken
- fix cs4281 makefile oops
- add new patch to possibly fix broken CONFIG_DISABLE_VHPT

* Thu Jan 11 2001 Karsten Hopp <karsten@redhat.de>
- moved e1000-2.5.11.patch and the update to 2.5.14 into one patch

* Thu Jan 11 2001 Michael K. Johnson <johnsonm@redhat.com>
- Moved back to static IDE for now because a couple machines had problems.
- qla1x160src-3.22Beta as linux-2.4.0-qla1280.patch
- megaraid 1.13s as linux-2.4.0-megaraid.patch

* Wed Jan 10 2001 Matt Wilson <msw@redhat.com>
- add free_dma and request_dma prototype in asm-ia64/dma.h as
  Patch58: linux-2.4.0-ia64-free_dma.patch
- remove Patch54: linux-2.4.0-test11-ia64-ksyms.patch
- remove Patch55: linux-2.4.0-test12-ia64-idesym.patch

* Wed Jan 10 2001 Bill Nottingham <notting@redhat.com>
- sync ia64 (010109 patch)

* Wed Jan 10 2001 Matt Wilson <msw@redhat.com>
- merged alpha .config files back to the way they need to be
- turn alpha back on

* Wed Jan 10 2001 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.4.0-ac4
- pcmcia moved to its own package
- update to new tux patch
- e820 reporting from Arjan
- Andi's RAID5 xor fix
- Ingo's Athlon APIC fix

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- remove ksymoops/kernel-utils

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- fix up prereqs

* Wed Dec 27 2000 Bill Nottingham <notting@redhat.com>
- something is horribly, horribly wrong with modular SCSI on ia64; turn it off
- rename source RPM back to 'kernel'

* Fri Dec 22 2000 Erik Troan <ewt@redhat.com>
- updated pcmcia config file for 2.4 cardbus support

* Thu Dec 21 2000 Erik Troan <ewt@redhat.com>
- turned HOTPLUG on for i386 BOOT kernel (PCMCIA doesn't build w/o it)

* Tue Dec 19 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added linux-2.4.0-test11-vidfail.patch and enabled it for the x86 BOOT kernel
- More USB support in x86 BOOT kernel
- Require new mkinitrd for IDE modules
- SCSI entirely modular

* Fri Dec 15 2000 Bill Nottingham <notting@redhat.com>
- add patch to fix unresolved symbol on ia64 in ide-probe-mod

* Wed Dec 13 2000 Michael K. Johnson <johnsonm@redhat.com>
- CONFIG_PARPORT_PC_FIFO off, bad default at this time

* Tue Dec 12 2000 Matt Wilson <msw@redhat.com>
- switch to un-TUXified kernel
- turn on framebuffer in the BOOT kernel

* Tue Dec 12 2000 Michael K. Johnson <johnsonm@redhat.com>
- New RC of TUX-1.01 patch

* Fri Dec 08 2000 Michael K. Johnson <johnsonm@redhat.com>
- CONFIG_HAPPYMEAL turned on for all architectures

* Thu Dec  7 2000 Bill Nottingham <notting@redhat.com>
- update ia64 patch to the 1206 version
- update e100, e1000 drivers

* Wed Dec 06 2000 Michael K. Johnson <johnsonm@redhat.com>
- Require fileutils for ln use in %post scripts
- Modular IDE

* Tue Dec 05 2000 Michael K. Johnson <johnsonm@redhat.com>
- Remove apa1480 driver temporarily for TUX build

* Mon Dec  4 2000 Bill Nottingham <notting@redhat.com>
- add patch to fix SWIOTLB from Asit Mallick

* Sun Dec  3 2000 Bill Nottingham <notting@redhat.com>
- turn on usb-uhci as well as uhci
- update megaraid to 1.13beta

* Thu Nov 30 2000 Michael K. Johnson <johnsonm@redhat.com>
- TUX 1.01 RC

* Wed Nov 29 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 semaphore symbol problems
- fix cipe symbol problems

* Wed Nov 29 2000 Michael K. Johnson <johnsonm@redhat.com>
- TUX 1.01 integrated with test11

* Tue Nov 28 2000 Bill Nottingham <notting@redhat.com>
- make ia64 patch patch cleanly with test11

* Mon Nov 27 2000 Bill Nottingham <notting@redhat.com>
- remove all modules.<foo>map files on package removal

* Fri Nov 24 2000 Bill Nottingham <notting@redhat.com>
- add patch to fix FAT32, patch for alignment of unwind data

* Mon Nov 20 2000 Bill Nottingham <notting@redhat.com>
- make nfs a module

* Thu Nov 16 2000 Bill Nottingham <notting@redhat.com>
- new ia64 patch from David Mosberger
- make ppp a module
- allow glibc to build for the moment

* Fri Nov 10 2000 Bill Nottingham <notting@redhat.com>
- fix alpha build

* Thu Nov  9 2000 Bill Nottingham <notting@redhat.com>
- add patch from Asit Mallick to fix ia64 VHPT disabling

* Wed Nov  8 2000 Bill Nottingham <notting@redhat.com>
- add ia64 module patch

* Wed Nov 08 2000 Erik Troan <ewt@redhat.com>
- updated to test10, builds on ix86

* Wed Nov  1 2000 Bill Nottingham <notting@redhat.com>
- build some stuff statically (bleah)

* Tue Oct 31 2000 Bill Nottingham <notting@redhat.com>
- new ia64 diff from David Mosberger

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- turn off ptc.g, again (oops)

* Wed Oct 25 2000 Bill Nottingham <notting@redhat.com>
- EFI GUID partition support from Matt Domsch (Matt_Domsch@dell.com)

* Tue Oct 24 2000 Bill Nottingham <notting@redhat.com>
- qlogic 1x160 version 3.19beta
- qlogic 2x00 version 4.15beta
- e1000 v2.5.11
- e100 v1.3.14
- make netfilter build on ia64 (cringe)

* Mon Oct 23 2000 Bill Nottingham <notting@redhat.com>
- update to test9 final
- ia64 updates

* Fri Sep 29 2000 Bill Nottingham <notting@redhat.com>
- clean up requirements (kill devfsd, initscripts)

* Fri Sep 29 2000 Michael K. Johnson <johnsonm@redhat.com>
- updated to tux-2.4.0-test9-H8-nodebug

* Thu Sep 28 2000 Michael K. Johnson <johnsonm@redhat.com>
- updated to tux-2.4.0-test9-G9-nodebug

* Tue Sep 26 2000 Michael K. Johnson <johnsonm@redhat.com>
- updated to tux-2.4.0-test9-G4-nodebug and test9-pre7 kernel
- turned off qla2x00 because it does not know about new scsi init arch
- turned off cciss because of parse error

* Thu Sep 21 2000 Bill Nottingham <notting@redhat.com>
- revert the part of the ia64 patch that requires new modutils for now
- turn off e1000 on ix86/alpha configs

* Tue Sep 19 2000 Bill Nottingham <notting@redhat.com>
- merge in stuff from Matt Domsch
- upgrade ia64 patch from David Mosberger

* Tue Sep 19 2000 Matt_Domsch <Matt_Domsch@dell.com>
- kernel 2.4.0-0.28.4
- Upgraded acenic to v0.47

* Thu Sep 14 2000 Matt_Domsch <Matt_Domsch@dell.com>
- kernel 2.4.0-0.28.3
- Removed I2O again
- Added ia64-000913 patch

- kernel-2.4.0-0.28.2
- removed kern0906.patch
- added 2.4.0-test8-000908 IA-64 patch
- added 2.4.0-test8-ia64 irqfix patch (fixes bigsur infinite IRQ0s)
- enable i2o
- added ia64_iobase export to arch/ia64/kernel/ia64_ksyms.c

* Tue Sep 12 2000 Michael K. Johnson <johnsonm@redhat.com>
- qla2x00 driver rev 4.10
- moved some things from modules to static builds
- sym53c8xx 64-bit patch

* Tue Sep 12 2000 Bill Nottingham <notting@redhat.com>
- make iso9660 & eepro100 static for now
- new ia64 patches from David Mosberger

* Fri Sep  8 2000 Bill Nottingham <notting@redhat.com>
- make nfs & lockd static on ia64; bad things happen otherwise
- update to test8 (turn off sisfb, it doesn't build)

* Thu Sep  7 2000 Bill Nottingham <notting@redhat.com>
- big piles of ia64 updates
- add in e1000 driver, fix modular build
- update acenic to 0.46 for the non-tux case
- update megaraid to 1.10c
- update qla1280 to 3.16b
- build against test7-final (not test8-pre1) for now

* Tue Sep  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to pcmcia-cs 3.1.20
- remove obsolete pcmcia-cs-3.1.3-3com.patch

* Thu Aug 31 2000 Michael K. Johnson <johnsonm@redhat.com>
- More work on TUX: new version, better integration, still incomplete
- updated to 2.4.0-test8-pre1
- temporarily disabled matrox maven driver because of ICE

* Thu Aug 24 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added TUX (but currently commented out because of insufficient generality)
- Config files mention tux so that the SRPM will still build if you add
  the patch.  However, they will not build TUX in without changes.

* Wed Aug 16 2000 Michael K. Johnson <johnsonm@redhat.com>
- dropped pcmcia-cs copy -f fix in from 2.2

* Tue Aug 15 2000 Bill Nottingham <notting@redhat.com>
- update ia64 stuff

* Tue Aug 15 2000 Jakub Jelinek <jakub@redhat.com>
- update to test7-pre4
- fix emu10k1 build on alpha
- .config updates

* Mon Aug 14 2000 Jakub Jelinek <jakub@redhat.com>
- fix linux-merge-config.awk
- remove /usr/include/{linux,asm*} in kernel-headers %pre

* Thu Aug 10 2000 Bill Nottingham <notting@redhat.com>
- update to test6-final (vger patch is merged)

* Wed Aug  9 2000 Jakub Jelinek <jakub@redhat.com>
- update to test6/pre9
- apply vger patches
- make it build on sparc32

* Tue Aug  8 2000 Bill Nottingham <notting@redhat.com>
- make it build on ia64

* Tue Aug  8 2000 Jakub Jelinek <jakub@redhat.com>
- /usr/include/{linux,asm} are directories
- fix header merging
- update to test6/pre8

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- add ia32 signal patch for ia64

* Tue Aug  1 2000 Bill Nottingham <notting@redhat.com>
- update to pre5/ia64-728 (argh)
- update qla2x00 scsi driver to 4.0 (from Qlogic)

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- clean up the %posts some

* Wed Jul 26 2000 Jakub Jelinek <jakub@redhat.com>
- Rename kernel24 subpackages back
- parport fix from Tim Waugh
- make it build on Alpha (hopefully)

* Wed Jul 26 2000 Jakub Jelinek <jakub@redhat.com>
- kill some of the ugly hacks, replace them with other ugly
  hacks so that the package can be built as the main distribution
  kernel or an experimental one.
- fix the export memcpy/memset patch
- add enterprise kernel (64GB kernel) on i686

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- ugly hacks to get just the headers out

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- kill several unresolved symbols from modules

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- more tweaks

* Thu Jul 20 2000 Jakub Jelinek <jakub@redhat.com>
- some more tweaks

* Tue Jul 18 2000 Jakub Jelinek <jakub@redhat.com>
- CIPE
- a couple of patchlets
- FHS tweaks

* Wed Jun 21 2000 Bill Nottingham <notting@redhat.com>
- update acenic, megaraid, qla1280 drivers
- minor kernel header tweak for userland

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- bump up ramdisk size on ia64 & alpha
- compile more stuff into the kernel until modules work better

* Fri Jun 16 2000 Bill Nottingham <notting@redhat.com>
- add ia32 signal handling patch for ia64

* Thu Jun 15 2000 Jakub Jelinek <jakub@redhat.com>
- reenable changeloop patch

* Wed Jun 14 2000 Bill Nottingham <notting@redhat.com>
- merge in loopback fixes from -ac series

* Tue Jun 13 2000 Bill Nottingham <notting@redhat.com>
- ia64 updates (0609 patch)
- module config/versioning updates

* Mon Jun  5 2000 Bill Nottingham <notting@redhat.com>
- merge in the ia64 stuff
- move to /dev/shm

* Sat Jun  3 2000 Jakub Jelinek <jakub@redhat.com>
- fix rhconfig.h (from Bero)

* Mon May 29 2000 Jakub Jelinek <jakub@redhat.com>
- 2.4.0-test1
- changeloop patch
- fix BuildASM
- fix compilation with gcc 2.96
- fix devfsd compilation

* Sat May  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- pre7-6
- devfsd 1.3.8
- add even more confusion to the versioning hell ;)
  (so we can deal with pre-pre versions)

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- update for ia64
- pre6-final
- don't apply abi patch until it stops imploding on boot

* Mon Apr 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.99pre6-pre3
- update ksymoops to 2.3.4
- update pcmcia to 3.1.14
- devfsd 1.3.4, devfs 162
- link ksymoops statically to get rid of the dependency on a particular
  version of binutils
- adapt abi patch to new kernel interfaces
- minor fixes to spec file

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.99pre3-7
- remove some fixes (they're now in the base version)

* Tue Mar 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add /var/shm dir
- require initscripts >= 5.03 so we mount /var/shm
- 2.3.99pre3-3
- fix compilation of some buggy drivers
- fix build on sparc64

* Thu Mar 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.99pre2-3
- replace iBCS with abi, remove patches
- port abi to 2.3.99pre2-3
- fix packaging bug (ksymoops.8* was included in kernel-utils AND
  kernel-pcmcia-cs)
- add devfsd
- fix compilation on alpha (fix various kernel bugs and work
  around a compiler bug)

* Tue Mar 07 2000 Cristian Gafton <gafton@redhat.com>
- fix stupidity in the agphjlfixes. make xconfig work again
- security patches from Alan (4 of them) (patch75-78)
- acenic sparc patch from davem (patch79)

* Tue Mar 07 2000 Doug Ledford <dledford@redhat.com>
- Added third sparc cpu bug fix patch from davem

* Mon Mar 06 2000 Cristian Gafton <gafton@redhat.com>
- fix symbol versioning on the alpha so we don't get any more unresolved
  dependencies

* Mon Mar 06 2000 Doug Ledford <dledford@redhat.com>
- Added three new sparc patches from davem
- Updated boot kernel config files to include SysV IPC support so the X
  server used during graphical install will be able to use shared mem

* Sun Mar 05 2000 Doug Ledford <dledford@redhat.com>
- Put the megaraid v107 patch back in now that it has been cleared
  from suspicion in the megaraid lockup problem.

* Sat Mar 04 2000 Doug Ledford <dledford@redhat.com>
- Back the megaraid driver back down to version 1.05 and remove the extra
  megaraid patch that was added in the last RPM build

* Sat Mar 04 2000 Doug Ledford <dledford@redhat.com>
- Fix the pcmcia build function to answer the questions in the make config
  process correctly
- Upped the number of extra scsi disk structs to allow for adding drives at
  run time
- Fixed the sparc config files to enable RAID partition autodetection
- Added a delay to the megaraid detection routine to keep it from locking
  up the SCSI bus when you try to beat on it immediately after startup

* Fri Mar 03 2000 Doug Ledford <dledford@redhat.com>
- Updated the sparc-mmap patch to correct a slight oversight in the original
- added the nautilus-srm patch for alpha machines

* Thu Mar 02 2000 Doug Ledford <dledford@redhat.com>
- Updated the alpha configs to include network socket filter so dhcp works
- added the aic7xxx-5.1.28 patch
- added the sparc Ultrasparc II CPU bug patch from davem

* Mon Feb 28 2000 Doug Ledford <dledford@redhat.com>
- Added the ibcs locking patch
- Added the sparc raid patch
- Added the sparc mmap patch
- Added the sparc lockd patch
- Kept the actual kernel version (2.2.14-5.0) frozen instead of incrementing
  it.

* Wed Feb 23 2000 Cristian Gafton <gafton@redhat.com>
- insert doug's changelog: added the ipvs-template patch

* Fri Feb 18 2000 Doug Ledford <dledford@redhat.com>
- Replace the IDE no printk patch with the more correct ide-cd-shutup patch
  from Jens Axboe
- Update the PSI drivers
- Added Jakub's patch to keep the sparc kernel from complaining about not
  knowing what the LFS syscalls are
- Added a patch to make the sk98 driver friendly to non-32 bit machines
- Updated config files to turn on the sk98 driver, and the PCI2000 and PCI2200
  drivers
- Added aic7xxx-5.1.27 patch

* Wed Feb 16 2000 Zach Brown <zab@redhat.com>
- bring acenic up to Jes' recommended 0.41
- enable acenic on alpha and sparc64
- disable vfs disk change printk

* Wed Feb 16 2000 Doug Ledford <dledford@redhat.com>
- added patch for probing all luns on megaraid logical devices
- added patch to increase number of loop devices
- modified spec file to make /etc/sysconfig/pcmcia a %config(noreplace) file
- added aic7xxx-5.1.26 driver

* Fri Feb 11 2000 Zach Brown <zab@redhat.com>
- added newagp module with bugfixes 
- added sblive emu10k1 driver
- added pre7 eepro100 fixes

* Thu Feb 10 2000 Doug Ledford <dledford@redhat.com>
- Added in all of Alan and Dave's various kernel fixes (patch numbers 42
  through 64 are from the 2.2.15-pre kernel series)

* Tue Feb 08 2000 Doug Ledford <dledford@redhat.com>
- Backed kernel back down to 2.2.14 official instead of 2.2.15-pre5
- Added back in the MegaRAID patch, timersync patch, and various aic7xxx
  patches that used to be part of 2.2.15-pre5
- Turned off the nfsattack2 patch because A) it didn't apply cleanly any more
  and B) Alan thought that the straight 2.2.14 kernel nfsd would be the
  best version of NFS to use
- Undid the bigmem patch changes so it would apply to 2.2.14 again

* Tue Feb 08 2000 Cristian Gafton <gafton@redhat.com>
- make atyfb and pm2 available as modules instead of compiling them in
  (patch from jakub + config files update)

* Sat Feb  5 2000 Matt Wilson <msw@redhat.com>
- disable strip build root policy

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- updated the nfsd patch

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- added patch from Jakub to make new nfs build on sparc

* Fri Feb 04 2000 Zach Brown <zab@redhat.com>
- Added HJL's 2.2.14 NFS patches
- Fixed typo in creative joystick
- ksymoops now doesn't require libbfd (care of hjl)
- Andrea's kiobuf buffer overflow fix
- Silence mostly harmless printk in sun disk label code
- Turned off solaris emulation 
- add AGPGART for x86

* Sat Jan 29 2000 Doug Ledford <dledford@redhat.com>
- Updated to 2.2.15-pre5
- Removed duplicate patches that are now in 2.2.15-pre5 (megaraid,
  aic7xxx 1 and 2, timersync)
- Updated config files to turn on all fb devs on x86
- Enabled disk label support on x86
- Added the pre5 sparc config patch
- Added the Alpha arch. ramdisk size patch
- Added the Compaq Smart2 Array driver update patch
- Fixed the non-lfs version of the bigmem patch to apply to pre5.  The
  lfs version will need fixed similarly, but hasn't been done yet.

* Sun Jan 16 2000 Doug Ledford <dledford@redhat.com>
- Replaced the sigio patch with one that should compile on Sparc
  platforms (from Jakub Jelinek <jakub@redhat.com>)
- Added the SIGFPE patch to correct the problem where linux does not
  correctly set the siginfo struct values during a SIGFPE signal with
  unmasked FPU exceptions

* Sat Jan 15 2000 Doug Ledford <dledford@redhat.com>
- Added the aic7xxx-5.1.23 patch
- Added the sigio patch from Zach Brown <zab@redhat.com>
- Added the timersync patch from Ingo Molnar <mingo@redhat.com> to fix
  some SMP time mismatch problems on 8way machines
- Added the removal of the module.info file to the %preun scripts
- Updated to v1.07 of the AMI MegaRAID driver

* Fri Jan 07 2000 Doug Ledford <dledford@redhat.com>
- Modified DAC960 driver to use 4 bits of the minor for partitions so
  that it can support up to 16 partitions on a single logical
  device (default is 3 bits and 8 partitions)
- Enabled SMBFS support (as modules) on the Alpha platform
- Excluded irq 12 from the available irqs (needed to help on systems
  with PS/2 mice, should probably go away after USB based keyboard
  and mouse systems become the norm)

* Wed Jan 05 2000 Doug Ledford <dledford@redhat.com>
- Replaced single LFS patch with split LFS headers and LFS functions
  patch supplied by Jakub.
- Enabled LFS headers patch all the time so glibc can be built
  against this kernel and have knowledge about 64bit file ops

* Tue Jan 04 2000 Doug Ledford <dledford@redhat.com>
- Updated to Linus Official Penguin Pee 2.2.14 kernel
- Re-Upgraded bigmem patch to the 2.2.13-7 version (latest)
  with one fix to make Samba work again
- Turned off LFS patch for regular tree build
- Now have to versions of the bigmem patch, one for use with LFS
  and one for use without LFS

* Mon Jan 03 2000 Doug Ledford <dledford@redhat.com>
- Updated to pre-patch-2.2.14-18
- Downgraded bigmem patches to the previous version
- Added an IO-APIC patch to fix machines that don't give
  multiple IO-APICs in the same computer different APIC
  IDs

* Sun Dec 26 1999 Doug Ledford <dledford@redhat.com>
- Updated to pre-patch-2.2.14-16
- Updated to ipvs-0.9.7-2.2.13.patch

* Mon Dec 20 1999 Doug Ledford <dledford@redhat.com>
- Updated LFS patch to fix nfsd compile problems
- Rearrange ipvs patch to match HA groups kernel RPMS

* Sat Dec 18 1999 Doug Ledford <dledford@redhat.com>
- 2.2.14pre15
- LFS patch (64bit file I/O)
- Updated to 2.2.13-7 version of BIGMEM patch

* Thu Dec 16 1999 Doug Ledford <dledford@redhat.com>
- Added aic7xxx patch
- 2.2.14pre14

* Thu Dec  9 1999 Bill Nottingham <notting@redhat.com>
- fix broken symbols in multisound driver on alpha
- 2.2.14pre12

* Mon Dec 06 1999 Doug Ledford <dledford@redhat.com>
- Modified the PIII patch break over point for better performance
- Modified packaging so that the configs are part of the header
  RPM instead of the source RPM
- Updated config files (set all configs to 1GB kernel)

* Sun Dec 05 1999 Doug Ledford <dledford@redhat.com>
- Put in a new PIII patch and re-enabled the PIII kernels
- Updated to 2.2.14pre11

* Tue Nov 30 1999 Matt Wilson <msw@redhat.com>
- removed some things from alpha BOOT kernel

* Sat Nov 27 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre9

* Tue Nov 23 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre8
- compile raid in on alpha (no initrd)

* Fri Nov 19 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre7
- oops, turn off vga16fb
- add alpha math patch (jakub)

* Tue Nov 16 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre6
- new ipvs patch
- new PIII patch

* Fri Nov 12 1999 Matt Wilson <msw@redhat.com>
- added patch from davem to fix the kernel socket filter
- modified sparc config files to match other architectures
- added patch from Jalub to properly draw the bootup logo on the 3dlabs card

* Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- new permedia2 patch (jakub)
- turn on stop-a when we print out 'hit l1-a to go to prom' (jakub)

* Mon Nov  8 1999 Matt Wilson <msw@redhat.com>
- added patch from davem for new hardware
- permedia2 patch (jakub)

* Fri Nov  4 1999 Bill Nottingham <notting@redhat.com>
- patch for multiple Creator/Elite framebuffers (davem)
- ship include/math-emu on sparc (jakub)
- turn on video & joystick modules on Alpha

* Wed Nov  3 1999 Bill Nottingham <notting@redhat.com>
- dbri patch (davem)
- sparc initrd patch (jakub)

* Tue Nov  2 1999 Bill Nottingham <notting@redhat.com>
- new sparc patch (DaveM)

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- patch for raid resync
- patch for alpha TGA from Jay
- syncookie patch from Alan

* Thu Oct 28 1999 Matt Wilson <msw@redhat.com>
- added latest DaveM sparc patch

* Mon Oct 25 1999 Cristian Gafton <gafton@redhat.com>
- disable PIII patch (Doug, here we go again...)
- last sparc kernel patch. davem swears by it.

* Tue Oct 19 1999 Cristian Gafton <gafton@redhat.com>
- more sparc fixes (update kernel patch from DaveM)...
- change the sparc64 config files to use SYM53C8XX instead of NCR53C8XX

* Tue Oct 12 1999 Cristian Gafton <gafton@redhat.com>
- update the Sparc patch again
- add patch for the sigoops problem
- fix undefined symbols for alpha for nm256.o and msnd_classic.o
- don't boot an alpha BOOTsmp kernel anymore

* Mon Oct 11 1999 Doug Ledford <dledford@redhat.com>
- New patch for Symbios SCSI controllers in Compaq machines
- New patch for peer pci busses (supports the RCC HE and LE chipsets)
- Updated Xircom patch
- Added 3Com official driver patch

* Mon Oct 11 1999 Cristian Gafton <gafton@redhat.com>
- sparc patch from DaveM

* Fri Oct 08 1999 Cristian Gafton <gafton@redhat.com>
- leave the bigmem patches enabled only on the Intel
- update sparc patch from davem

* Thu Oct 07 1999 Doug Ledford <dledford@redhat.com>
- Put in a new peerbus patch to try and support the new RCC chipset
- Add a modified version of the pcnet32 patch for HP
- Patched the 3Com cardbus driver to support version C 575 cards
- Updated Xircom patch for the tulip_cb.c driver

* Mon Oct 04 1999 Doug Ledford <dledford@redhat.com>
- changes to the tulip_cb.c driver for Xircom cards
- added bigmem patches from Stephen Tweedie (adapted from
  patches originally authored by Andrea Arcangeli from SuSE
  and Gerhard Wichert of Siemens AG)
- added various bigmem support patches
- added new version of linux-2.2.12-sparc-diff.gz from Dave Miller
- added new linux-2.2.12-alpha-diffs.patch file from Jay Estabrook

* Thu Sep 30 1999 Doug Ledford <dledford@redhat.com>
- Re-added the PIII patches
- Started working on the Xircom cardbus driver (tulip_cb.o)

* Tue Sep 28 1999 Cristian Gafton <gafton@redhat.com>
- update sparc patches from davem
- enable CONFIG_SPARCAUDIO_AMD7930 and CONFIG_SPARCAUDIO_DBRI on sparc as
  modules

* Mon Sep 27 1999 Cristian Gafton <gafton@redhat.com>
- patch to fix xtime SMP lockup problem from DaveM
- patch to fix the IDE poll lockups
- make building modules for SMP work okay

* Sun Sep 26 1999 Cristian Gafton <gafton@redhat.com>
- turn off PIII patches again
- NFS hang patch fix
- TCP sequence patch fix

* Sat Sep 25 1999 Cristian Gafton <gafton@redhat.com>
- turn off suid bit on cardctl

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- add bestfunc patch to PIII patches and re-enable them

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- disable PIII patches
- 2.2.13pre12
- PIII patches from Doug
- network fixes form DaveM
- sparc patches integration and consolidatin with stuff from vger (DaveM)
- put back the nfsd patches from earlier versions

* Tue Sep 21 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.13pre11
- patch from Jakub to make CONFIG_BINFMT_SUNOS configurable on the sparc

* Mon Sep 20 1999 Doug Ledford <dledford@redhat.com>
- Integrated the PIII patch and the PIII-xor patch against Ingo's raid code
- Updated config files for PIII support
- Added Vesa FB support to the i386-BOOT config

* Thu Sep 16 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.13pre9
- fix the Provides for the smp and BOOT kernel packages (provide the current
  version)
- alpha patches from Jay Estabrook
- Ingo's updated RAID code

* Mon Sep 13 1999 Cristian Gafton <gafton@redhat.com>
- jump to 2.2.13pre7 from Alan
- remove Ingo's raid patch to see if we gain more stability
- leave the peerbus patch enabled only for intel builds as it breaks alpha
  and sparc

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- use getconf to get the number opf CPus on the machine for use in the
  build process
- add DaveM's sparc and strlen_user() fix

* Fri Sep 10 1999 Doug Ledford <dledford@redhat.com>
- Add another device to the pci id listings
- Fix a one line bug in pcnet32.c

* Wed Sep 08 1999 Cristian Gafton <gafton@redhat.com>
- new ipvs patch
- patch from Doug to deal with peer PCI patch

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- patch from DaveM to handle increased NR_TASKS on sun4c
- build an alpha SMP BOOT kernel.
- don't ship sparc64 binaries on Intel

* Mon Sep 06 1999 Doug Ledford <dledford@redhat.com>
- add pci-id patch to correct pci.h and oldproc.c bugs
- add aic7xxx-5.1.20 patch to fix two kernel null pointer derefs
- very small patch to fix problems on Intel 450NX chipset motherboards
  (this is a preliminary patch pending an official patch from Martin Mares)

* Fri Sep 03 1999 Cristian Gafton <gafton@redhat.com>
- add hashing patch from DaveM
- add peerpci patch from Doug (disabled because it is busted)

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- add APIC patch from Doug and Zach

* Tue Aug 31 1999 Cristian Gafton <gafton@redhat.com>
- added Alan's fixes patch
- added rawio patch from Stephen
- disabled CONFIG_SCSI_ALL_LUN on all config files

* Sun Aug 29 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.12
- enabled IPVS
- work around rpm's stupidity when it comes to _arch/_target_cpu and
  sparc/sparc64

* Wed Aug 25 1999 Cristian Gafton <gafton@redhat.com>
- add the linux/modversions.h file to the list of kernel version dependent
  (because of the .ver files it includes)
- upgrade to final3 + add-on patches

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- added pre7 patches from 2.2.12
- handle kernel-version specific autoconf.h and version.h headers
- add the NFS patches

* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
- add the serveraid patch

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- updated to pre5
- updated RAID patch from Ingo

* Mon Jul 26 1999 Cristian Gafton <gafton@redhat.com>
- patch to address the sysrq error on sparc
- patch to fix socket include file (thanks notting)
- add sparc patch from Jakub
- add afinet patch from Alexey Kuznetov
- add 2GB patch from Leonard Zubkoff

* Thu Jul 15 1999 Cristian Gafton <gafton@redhat.com>
- updated Adaptec kernel driver to 5.1.18
- pcmcia 3.0.13
- patch to pcmcia to fix some Cardbus problems

* Wed Jul 14 1999 Cristian Gafton <gafton@redhat.com>
- add patch to fix ATAPI ZIP drives

* Mon Jun 28 1999 Cristian Gafton <gafton@redhat.com>
- adeed patch tp increase default SEMMSL value

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- turn off CONFIG_SMB_WIN95

* Tue Jun  1 1999 Matt Wilson <msw@redhat.com>
- added remote crash fix from Alan Cox

* Mon May 17 1999 Matt Wilson <msw@redhat.com>
- rebuilt against fixed egcs to fix sparc crashes

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- alpha patches form Jay Estabrook
- semaphore patches from rth for alpha

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- upgraded the defrag patch with stuff from davem

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- log debugging information about starting nfsd to syslog instead of console
- make sure the postinstall exits with success for the kernel rpm if lilo
  has issues
- updated sparc jumbo patch
- networking fixes from DaveM
- make pcmcia use a preun instead of a postun. Duh.
- triggerpostun protects upgrades from older verrsions of pcmcia. Duh. Duh.

* Sat Apr 17 1999 Cristian Gafton <gafton@redhat.com>
- added patches for the alpha problems, ftruncate fix, mmap
  and shm fixes from the 2.2.6 kernel
- updated DaveM's sparc patch
- x86 patches also from x86 kernel

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- build alpha network drivers as modules
- pcmcia scripts do not use /dev/cuaX anymore for /dev/modem (ttySX instead)
- disable RTC on alpha

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- add patch for tokenring
- add the REAME.kernel-sources file to the kernel-headers
- updated again the sparc patch
- add Linus's patch to fix out of memory errors
- fix dac960's driver include files

* Mon Apr 12 1999 Cristian Gafton <gafton@redhat.com>
- new sparc patch (davem)
- new RAID patch (mingo)
- new aic7xxx driver (5.1.15 - dledford)
- aarp patch from alan

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- add patch from Alan to make SYS_access SuSv2 compliant
- update Dave Miller's sparc patch
- get rid of the bogus buffer patch (why the heck didn't patch reject it in
  first place?)

* Wed Apr 07 1999 Cristian Gafton <gafton@redhat.com>
- more patches from Alan
- updated the knfsd patches from knfsd 1.2.2

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- updated sparc patch from davem
- added patch for sound docs and bttv driver from alan

* Wed Mar 31 1999 Cristian Gafton <gafton@redhat.com>
- add i586 as an other platform
- patch from Alan Cox to fix misc hangups
- updated Doug's driver to 5.1.13
- version 2.2.5

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- added BOOT config files for all the arches
- updated config files (again)

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.4
- new DAC960 patch
- install a module-info for ech kernel build
- be more selective in building kernel-doc for all arches
- alpha CPUs detection patch

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- patch for nbd stuff
- added large fd patch
- added nfsd patches from the knfsd dist

* Sat Mar 13 1999 Matt Wilson <msw@redhat.com>
- disabled vfork() on sparc32
- fixed up sparc64 build
- changed the compression level for bzImages from -9 to -3 on i386

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- build sunlance into the sparc kernels

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.3
- make the /usr/src/linux-VER dir owned by kernel-headers instead of
  kernel-source

* Wed Mar 10 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.2-ac7
- add config files for i686

* Wed Feb 24 1999 Cristian Gafton <gafton@redhat.com>
- merged in sparc64 changes
- update to 2.2.2
- fix the uname problems in different shapes of kernel being generated
- create a documentation package

* Thu Feb 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.1 w/ ac5
- build the boot kernel for the bootdisks

* Wed Jan 27 1999 Cristian Gafton <gafton@redhat.com>
- ver 2.2.0 final w/ ac1
- move the pcmcia modules to the main kernel package
- also build smp version of the kernel
- enable apm in the kernel by default

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.0 pre 8 w/ ac1

* Sun Dec 27 1998 Mike Wangsmo <wanger@redhat.com>
- put in 133ac3
- fixed PCMCIA to use GET_USE_COUNT instead of module->usecount

* Mon Dec 21 1998 Cristian Gafton <gafton@redhat.com>
- remove the jensen and srm-jensen subpackages, as those should be handled
  by the generic kernel instead.
- use 131ac13
- upgradede to 2.1.131
- removed /usr/include/scsi from kernel-headers

* Mon Nov 23 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.129 ac3
- pcmcia-cs 3.0.6
- XXX: disabled the DEPCS, EWRK3 support, as it does not build yet

* Tue Sep 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.123
- builds jansen and jensen-srm subpackages on alpha

* Thu Aug 13 1998 Cristian Gafton <gafton@redhat.com>
- build of 2.1.115, based on the previous spec from 2.0.35
- build like almost any other package, not dircetly in the buildroot
- sed the buildroot dir out of the .depend files

